" Briofita Colorscheme
" ====================================================================================
" Name:        Briofita
" Scriptname:  briofita.vim
" Description: Another oddly named dark background colorscheme.
"              (Its name is akin to 'Bryophyta', so should it be pronounced.)
" Author:      Sergio Nobre <brio dot develop at gmail dot com>
" Feedback:    Any feedback is welcome! In e-mails, please prepend [VIM] in the 
"              subject title; otherwise the email may be treated as spam. 
" License:     The Vim License (substituting "Vim" to "Briofita"); 
"              when using Vim, type ':help license' to read its license
" Version:     4.0.0
" Last Change: 2017-06-09
" Website:     http://www.vim.org/scripts/script.php?script_id=4136
" Github Repo: https://github.com/sonobre/briofita_vim
" NOTES:       This colorscheme can be downloaded from either Vim site or Github 
"              by accessing above URLs. Check the companion helpfile for additional
"              information, changelog etc.
" =============================================================================

" Preamble  [[[1
if !has("gui_running")
    set t_Co=256
endif

set background=dark
hi clear

if exists('syntax_on')
    syntax reset
endif

let g:colors_name = 'briofita'

if (v:version < 800)
    echoerr "Sorry, color scheme Briofita runs only under Vim version 8 or later."
    finish
endif
  
set termguicolors

" ]]]1

hi Normal guifg=PowderBlue guibg=#062926 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi _Block guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi _Bracket guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi _Comment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi _Operator guifg=#00A8CC guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi aapCommand guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi aapComment guifg=#557F8F guibg=bg gui=italic  ctermfg=66 ctermbg=bg cterm=italic 
hi aapVariable guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi adaAssignment guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi adaAttribute guifg=DodgerBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi adaSpecial guifg=RosyBrown guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi anyId guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocAdmonition guifg=SlateBlue guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi asciidocAdmonitionNote guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi asciidocAdmonitionWarn guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocAnchorMacro guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocAttributeEntry guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi asciidocAttributeList guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi asciidocAttributeMacro guifg=DodgerBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi asciidocAttributeRef guifg=#9A85FF guibg=#152933 gui=NONE  ctermfg=105 ctermbg=17 cterm=NONE 
hi asciidocBackslash guifg=VioletRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocBiblio guifg=#2DB3A0 guibg=bg gui=bold,italic  ctermfg=37 ctermbg=bg cterm=bold,italic 
hi asciidocBlockTitle guifg=VioletRed3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi asciidocCallout guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocCommentBlock guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi asciidocCommentLine guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi asciidocDoubleDollarPassthrough guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocEmail guifg=SkyBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi asciidocEntityRef guifg=#8fbfdc guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi asciidocExampleBlockDelimiter guifg=SlateGray4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocFilterBlock guifg=#A161F5 guibg=bg gui=NONE  ctermfg=135 ctermbg=bg cterm=NONE 
hi asciidocFootnote guifg=SkyBlue2 guibg=Gray26 gui=italic  ctermfg=0 ctermbg=16 cterm=italic 
hi asciidocGlossary guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi asciidocHLabel guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocHyphenInterpolation guifg=#9FE846 guibg=#573D8C gui=NONE  ctermfg=149 ctermbg=60 cterm=NONE 
hi asciidocIdMarker guifg=SpringGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocInclude guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi asciidocIndexTerm guifg=Plum4 guibg=Gray10 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi asciidocLineBreak guifg=Gray60 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi asciidocLink guifg=#8870FF guibg=bg gui=bold,underline  ctermfg=99 ctermbg=bg cterm=bold,underline 
hi asciidocList guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi asciidocListBullet guifg=SpringGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocListContinuation guifg=Gray50 guibg=bg gui=italic  ctermfg=17 ctermbg=bg cterm=italic 
hi asciidocListingBlock guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi asciidocListLabel guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocListNumber guifg=#00D96C guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi asciidocLiteralBlock guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi asciidocLiteralParagraph guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi asciidocMacro guifg=YellowGreen guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi asciidocMacroAttributes guifg=SlateBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocNonAsciidocBar guifg=#00996B guibg=bg gui=bold  ctermfg=29 ctermbg=bg cterm=bold 
hi asciidocOddnumberedTableCol guifg=#437CAB guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi asciidocOneLineTitle guifg=MediumAquamarine guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi asciidocOpenBlockDelimiter guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi asciidocPagebreak guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi asciidocPassthroughBlock guifg=#9D8888 guibg=bg gui=NONE  ctermfg=138 ctermbg=bg cterm=NONE 
hi asciidocQuestion guifg=#00B780 guibg=bg gui=italic  ctermfg=36 ctermbg=bg cterm=italic 
hi asciidocQuoteBlockDelimiter guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi asciidocQuotedAttributeList guifg=#9A85FF guibg=bg gui=italic  ctermfg=105 ctermbg=bg cterm=italic 
hi asciidocQuotedBold guifg=DeepSkyBlue guibg=bg gui=italic  ctermfg=160 ctermbg=bg cterm=italic 
hi asciidocQuotedboldAttributeList guifg=Gray50 guibg=bg gui=italic  ctermfg=17 ctermbg=bg cterm=italic 
hi asciidocQuotedDoubleQuoted guifg=Yellow4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocQuotedEmphasized guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi asciidocQuotedEmphasized2 guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi asciidocQuotedEmphasizedItalic guifg=Gray75 guibg=bg gui=italic  ctermfg=18 ctermbg=bg cterm=italic 
hi asciidocQuotedMonospaced guifg=#998F00 guibg=bg gui=NONE  ctermfg=100 ctermbg=bg cterm=NONE 
hi asciidocQuotedMonospaced2 guifg=Peru guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocQuotedSingleQuoted guifg=Yellow4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocQuotedSubscript guifg=#669900 guibg=bg gui=NONE  ctermfg=64 ctermbg=bg cterm=NONE 
hi asciidocQuotedSuperscript guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocQuotedUnconstrainedBold guifg=DeepSkyBlue guibg=bg gui=italic  ctermfg=160 ctermbg=bg cterm=italic 
hi asciidocQuotedUnconstrainedEmphasized guifg=SteelBlue3 guibg=bg gui=italic  ctermfg=10 ctermbg=bg cterm=italic 
hi asciidocQuotedUnconstrainedMonospaced guifg=#998F00 guibg=bg gui=italic  ctermfg=100 ctermbg=bg cterm=italic 
hi asciidocReference guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi asciidocRefMacro guifg=LightSlateGray guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi asciidocReplacements guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi asciidocRevisionInfo guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocRuler guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi asciidocSect0 guifg=Salmon guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi asciidocSect1 guifg=#44B6ED guibg=bg gui=underline  ctermfg=75 ctermbg=bg cterm=underline 
hi asciidocSect2 guifg=#00B2EE guibg=bg gui=NONE  ctermfg=39 ctermbg=bg cterm=NONE 
hi asciidocSect3 guifg=#0099D9 guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi asciidocSect4 guifg=VioletRed3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi asciidocSidebarDelimiter guifg=#BB3333 guibg=bg gui=italic  ctermfg=131 ctermbg=bg cterm=italic 
hi asciidocSource guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi asciidocTableBlock guifg=#30C4BE guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi asciidocTableDelimiter guifg=#8B5FFF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi asciidocTableDelimiter2 guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi asciidocTablePrefix guifg=#8B5FFF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi asciidocTablePrefix2 guifg=#8B5FFF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi asciidocToDo guifg=#AD61FF guibg=bg gui=underline  ctermfg=135 ctermbg=bg cterm=underline 
hi asciidocTriplePlusPassthrough guifg=#88CB35 guibg=bg gui=NONE  ctermfg=113 ctermbg=bg cterm=NONE 
hi asciidocTripplePlusPassthrough guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi asciidocTwoLineTitle guifg=SlateBlue1 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi asciidocURL guifg=LightBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi Assignment guifg=#F3DB8E guibg=bg gui=NONE  ctermfg=222 ctermbg=bg cterm=NONE 
hi AutoHyperlink guifg=#2AA8A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi AutoHyperlinkCfile guifg=#2AA8A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi AutoHyperlinkURL guifg=#2AA8A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi AutoHyperlinkWord guifg=#2AA8A0 guibg=bg gui=underline  ctermfg=37 ctermbg=bg cterm=underline 
hi automakeClean guifg=AquaMarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi automakeComment1 guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi automakeConditional guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi automakeExtra guifg=AquaMarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi automakeMakeBString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi automakeSecondary guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi automakeSubDirs guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi awkArrayElement guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi awkComma guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi awkConditional guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi awkFieldVars guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi awkFunction guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi awkParen guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi awkPatterns guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi awkRegExp guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi awkRepeat guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi awkSearch guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi awkSpecialCharacter guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi awkSpecialPrintf guifg=#9FCBD0 guibg=DarkSlateGrey gui=NONE  ctermfg=152 ctermbg=160 cterm=NONE 
hi awkStatement guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi awkString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi awkVariables guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi bashStatement guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi bgDdEeFf guifg=LightBlue3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi bold guifg=Plum2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Boolean guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi bufExplorerActBuf guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufExplorerHelp guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi bufExplorerMapping guifg=#71D3B4 guibg=#1E3B31 gui=NONE  ctermfg=79 ctermbg=23 cterm=NONE 
hi bufExplorerSortBy guifg=DeepSkyBlue3 guibg=bg gui=underline  ctermfg=160 ctermbg=bg cterm=underline 
hi bufExplorerTitle guifg=#73A3B9 guibg=#193835 gui=NONE  ctermfg=73 ctermbg=23 cterm=NONE 
hi bufferGatorAlternateEntry guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufferGatorBufferNr guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi bufferGatorBufname guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufferGatorBufpath guifg=Turquoise4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufferGatorCurrentEntry guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufferGatorFileLine guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufferGatorModifiedEntry guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufferGatorModifiedFileName guifg=Tomato guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi bufferGatorSymbol guifg=Brown3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi bufferGatorTabpageLine guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi bufferGatorUnmodifiedFileName guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi bufferGatorUnmodifiedFileSyntaxKey guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi BufferSaurusCurrentEntry guifg=MediumPurple2 guibg=#0A0A70 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi BuffersaurusFlashMatchedLineHighlight1 guifg=LightSlateBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi BuffersaurusFlashMatchedLineHighlight2 guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi BuffersaurusSyntaxContextedEntry guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi BufferSaurusSyntaxContextedKeyDesc guifg=#779DB2 guibg=bg gui=italic,undercurl  ctermfg=109 ctermbg=bg cterm=italic,undercurl 
hi bufferSaurusSyntaxContextedKeyFilename guifg=#808080 guibg=bg gui=NONE  ctermfg=244 ctermbg=bg cterm=NONE 
hi BufferSaurusSyntaxContextedKeyLines guifg=#808080 guibg=bg gui=NONE  ctermfg=244 ctermbg=bg cterm=NONE 
hi BufferSaurusSyntaxContextedKeyRow guifg=#808080 guibg=bg gui=italic  ctermfg=244 ctermbg=bg cterm=italic 
hi BufferSaurusSyntaxContextLineNum guifg=#808080 guibg=bg gui=NONE  ctermfg=244 ctermbg=bg cterm=NONE 
hi BuffersaurusSyntaxContextLines guifg=LightSalmon2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi BufferSaurusSyntaxContextLineText guifg=#77996C guibg=bg gui=italic  ctermfg=101 ctermbg=bg cterm=italic 
hi BufferSaurusSyntaxFileGroupTitle guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi bufferSaurusSyntaxKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi BufferSaurusSyntaxMatchedLineNum guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi BuffersaurusSyntaxMatchedLines guifg=Tan2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi BufferSaurusSyntaxMatchedLineText guifg=#D6B883 guibg=bg gui=italic  ctermfg=180 ctermbg=bg cterm=italic 
hi BufferSaurusSyntaxUncontextedLineNum guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi BufferSaurusSyntaxUncontextedLineText guifg=#C6B6FE guibg=bg gui=NONE  ctermfg=183 ctermbg=bg cterm=NONE 
hi builtinFunc guifg=#dad085 guibg=bg gui=underline  ctermfg=186 ctermbg=bg cterm=underline 
hi builtinObj guifg=#7F9D90 guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi calOperator guifg=#af5f00 guibg=bg gui=NONE  ctermfg=130 ctermbg=bg cterm=NONE 
hi cAnsiFunction guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi cAnsiName guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cBlock guifg=seagreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cBoolean guifg=CadetBlue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi cBraces guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi cBracket guifg=Green guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi cCharacter guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi cComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi cConditional guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi cConstant guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi cCppString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi cDefine guifg=#1AA51B guibg=bg gui=NONE  ctermfg=34 ctermbg=bg cterm=NONE 
hi cDefined guifg=#1AA51B guibg=bg gui=italic  ctermfg=34 ctermbg=bg cterm=italic 
hi cDelimiter guifg=#77BBB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi cDoxygenComment guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonBoolean guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi ceylonClassDecl guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi ceylonComment guifg=LightSkyBlue4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonCommentStar guifg=CornflowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonCommentTitle guifg=CornflowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonConditional guifg=#21C43B guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi ceylonDocComment guifg=CornflowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonDocParam guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonDocTags guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonExceptions guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonExternal guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi ceylonJDKbuiltin guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonLineComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi ceylonNumber guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi ceylonOperator guifg=#DE44A4 guibg=bg gui=NONE  ctermfg=169 ctermbg=bg cterm=NONE 
hi ceylonParen guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi ceylonParen1 guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonParen2 guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonParenT guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ceylonRepeat guifg=#21C43B guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi ceylonScopeDecl guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi ceylonStatement guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi ceylonString guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi ceylonTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi ceylonType guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi CfgComment guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi CfgOnOff guifg=Aquamarine3 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi CfgSection guifg=#7EB49C guibg=bg gui=italic  ctermfg=109 ctermbg=bg cterm=italic 
hi CfgString guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi CfgValues guifg=SkyBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cFloat guifg=AquaMarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cflTypeRegion guifg=#779DB2 guibg=bg gui=italic  ctermfg=109 ctermbg=bg cterm=italic 
hi cFormat guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cFunction guifg=#C6B6FE guibg=bg gui=NONE  ctermfg=183 ctermbg=bg cterm=NONE 
hi cFunctionTag guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi changeLogError guifg=Salmon1 guibg=#823636 gui=NONE  ctermfg=0 ctermbg=95 cterm=NONE 
hi changeLogFiles guifg=#30BCC1 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi changeLogFuncs guifg=#3FBF77 guibg=bg gui=NONE  ctermfg=72 ctermbg=bg cterm=NONE 
hi changeLogHeader guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi changeLogMonth guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi changeLogNumber guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi changeLogText guifg=#7E9CD7 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi Character guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi cheat40angle guifg=Firebrick3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cheat40command guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cheat40dblangle guifg=Firebrick3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cheat40descr guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi cheat40header guifg=#009F6F guibg=bg gui=underline  ctermfg=35 ctermbg=bg cterm=underline 
hi cheat40mode guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi cIdentifier guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi cInclude guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi cIncluded guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi cLabel guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi clojureAnonArg guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi clojureBoolean guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi clojureDefine guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi clojureDispatch guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi clojureFunction guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi clojureMacro guifg=DeepSkyBlue guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi clojureMeta guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi clojureNumber guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi clojureRegexp guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi clojureRegexpCharClass guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi clojureRegexpOr guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi clojureRegexpQuantifier guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi clojureRepeat guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi clojureString guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi clojureStringDelimiter guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi clojureSymbol guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi cMakeOperators guifg=#99C4CC guibg=bg gui=NONE  ctermfg=116 ctermbg=bg cterm=NONE 
hi cMakeVariableValue guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi cMulti guifg=Red guibg=bg gui=bold  ctermfg=Red ctermbg=bg cterm=bold 
hi cNumber guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cobolBadLine guifg=Gray60 guibg=#000022 gui=NONE  ctermfg=17 ctermbg=0 cterm=NONE 
hi cobolLine guifg=Gray60 guibg=#000022 gui=NONE  ctermfg=17 ctermbg=0 cterm=NONE 
hi cobolMarker guifg=Orchid4 guibg=#001133 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cobolString guifg=CadetBlue guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi cOctal guifg=#B3AC64 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cOctalZero guifg=#FF8855 guibg=bg gui=NONE  ctermfg=209 ctermbg=bg cterm=NONE 
hi coffeeBracket guifg=MediumTurquoise guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi coffeeConditional guifg=Khaki guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi coffeeKeyword guifg=Khaki guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi coffeeParen guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi coffeeRepeat guifg=MediumPurple guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi coffeeSpecialVar guifg=Chocolate guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi coffeeStatement guifg=Burlywood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ColorColumn guifg=#66D999 guibg=#294C44 gui=NONE  ctermfg=78 ctermbg=23 cterm=NONE 
hi Comment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi conceal guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Conditional guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi confComment guifg=CadetBlue guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi confFunction guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi configComment guifg=CadetBlue guibg=bg gui=italic  ctermfg=184 ctermbg=bg cterm=italic 
hi configFunction guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi configNumber guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi configOperator guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi configString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi confString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi confTodo guifg=#CC4455 guibg=#1C3644 gui=underline  ctermfg=167 ctermbg=23 cterm=underline 
hi conId guifg=#7EB4FF guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi Constant guifg=#C5B5C5 guibg=bg gui=NONE  ctermfg=182 ctermbg=bg cterm=NONE 
hi cOperator guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi cParen guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi cppAccess guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi cppBoolean guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cppCast guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi cppNumber guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi cppOperator guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi cppSTL guifg=#39C1C1 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi cppSTLtype guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cppStructure guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cppType guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi cPreCondit guifg=#3566B8 guibg=bg gui=NONE  ctermfg=61 ctermbg=bg cterm=NONE 
hi cPreConditMatch guifg=#3566B8 guibg=bg gui=NONE  ctermfg=61 ctermbg=bg cterm=NONE 
hi cPreProc guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cRepeat guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi cSpecial guifg=#CC5757 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi cSpecialCharacter guifg=RoyalBlue1 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi cssAdvancedProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssAnimationAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssAttr guifg=LightSkyBlue3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssAttrComma guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssAttrRegion guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssAuralAttr guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssAuralProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssBackgroundAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssBackgroundProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssBorderAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssBorderOutlineAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssBorderOutlineProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssBorderProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssBorderVal guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssBoxAttr guifg=Ivory3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssBoxProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssBraceError guifg=IndianRed1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssBraces guifg=SeaGreen3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssClassName guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi cssClassNameDot guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssColor guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi cssColorAttr guifg=Wheat3 guibg=bg gui=NONE  ctermfg=40 ctermbg=bg cterm=NONE 
hi cssColorProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssComment guifg=#5D6B9C guibg=bg gui=NONE  ctermfg=61 ctermbg=bg cterm=NONE 
hi cssCommonAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssCommonProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssCommonVal guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssDefineBlock guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssDefinition guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssDeprecated guifg=Gray65 guibg=bg gui=italic  ctermfg=17 ctermbg=bg cterm=italic 
hi cssError guifg=IndianRed1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssFontAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssFontDescriptor guifg=AntiqueWhite3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssFontDescriptorAttr guifg=AntiqueWhite3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssFontDescriptorFunction guifg=AntiqueWhite3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssFontDescriptorProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssFontProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssFontVal guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssFunction guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssFunctionComma guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssFunctionName guifg=#73A3B9 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi cssGeneratedContentAttr guifg=Ivory3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssGeneratedContentProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssIdentifier guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssImportant guifg=#FF30AD guibg=bg gui=NONE  ctermfg=205 ctermbg=bg cterm=NONE 
hi cssInclude guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssListProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssMarginProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssMedia guifg=SeaGreen3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssMediaComma guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssMediaKeyword guifg=SeaGreen3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssMediaType guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssNoise guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssPaddingProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssPagingAttr guifg=Ivory3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssPagingProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssPositioningAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssPositioningProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssPseudo guifg=#29AA29 guibg=#152933 gui=NONE  ctermfg=34 ctermbg=17 cterm=NONE 
hi cssPseudoClass guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi cssPseudoClassFn guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi cssPseudoClassId guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi cssPseudoClassLang guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi cssRenderAttr guifg=Ivory3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssRenderProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssRuleProp guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssSelector guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi cssSelectorOp guifg=Gray50 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi cssSelectorOp2 guifg=LightYellow3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssString guifg=#AAAC9C guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi cssStringQ guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi cssStringQQ guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi cssStyle guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssTableAttr guifg=Ivory3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssTableProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssTagName guifg=#21AB3B guibg=#152933 gui=NONE  ctermfg=35 ctermbg=17 cterm=NONE 
hi cssTextAttr guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssTextProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssUIattr guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssUIProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssUnicodeEscape guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi cssUnicodeRange guifg=DarkSeaGreen2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi cssUnitDecorators guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssURL guifg=#2FBBA6 guibg=bg gui=underline  ctermfg=37 ctermbg=bg cterm=underline 
hi cssValueAngle guifg=LightSkyBlue3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssValueFrequency guifg=LightSkyBlue3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssValueInteger guifg=LightSkyBlue3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssValueLength guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi cssValueNumber guifg=#29AA29 guibg=#152933 gui=NONE  ctermfg=34 ctermbg=17 cterm=NONE 
hi cssValueTime guifg=LightSkyBlue3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi cssVendor guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cssVisualProp guifg=#B7A669 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi cssVisualVal guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cStatement guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi cStorageClass guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi cString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi cStructure guifg=SeaGreen3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi csvColumnEven guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi csvColumnHeaderEven guifg=Green3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi csvColumnHeaderOdd guifg=#DB2929 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi csvColumnOdd guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi csvComment guifg=#73A3B9 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi csvCurrentColumn guifg=#66AAFF guibg=#060906 gui=NONE  ctermfg=75 ctermbg=0 cterm=NONE 
hi csvDelimiter guifg=Green3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi cTodo guifg=Plum3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi ctrlPBookmark guifg=Cyan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ctrlPBufName guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi ctrlpLinePre guifg=CadetBlue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi ctrlPMatch guifg=#90CFB3 guibg=bg gui=NONE  ctermfg=115 ctermbg=bg cterm=NONE 
hi ctrlPMode1 guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi ctrlPNoEntries guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi ctrlPPrtBase guifg=#90CFB3 guibg=bg gui=NONE  ctermfg=115 ctermbg=bg cterm=NONE 
hi ctrlPPrtCursor guifg=#71D3B4 guibg=bg gui=underline  ctermfg=79 ctermbg=bg cterm=underline 
hi ctrlPqfLineCol guifg=Green3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi ctrlPTabExtra guifg=CadetBlue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi ctrlPTagKind guifg=Orange2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ctrlSpaceFound guifg=#FFAADD guibg=Gray20 gui=NONE  ctermfg=218 ctermbg=0 cterm=NONE 
hi ctrlSpaceNormal guifg=#71D3B4 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi ctrlSpaceSearch guifg=#CC4455 guibg=bg gui=underline  ctermfg=167 ctermbg=bg cterm=underline 
hi ctrlSpaceSelected guifg=#6FB16F guibg=#193835 gui=NONE  ctermfg=71 ctermbg=23 cterm=NONE 
hi ctrlSpaceStatus guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi cType guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi Cursor guifg=Black guibg=#55D5E3 gui=underline  ctermfg=34 ctermbg=80 cterm=underline 
hi CursorColumn guifg=beige guibg=#574AAB gui=NONE  ctermfg=124 ctermbg=61 cterm=NONE 
hi cursorIM guifg=Gray90 guibg=FireBrick gui=NONE  ctermfg=18 ctermbg=0 cterm=NONE 
hi CursorLine guifg=#FFC8AD guibg=#800045 gui=NONE  ctermfg=223 ctermbg=89 cterm=NONE 
hi CursorLineNr guifg=VioletRed1 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi cUserFunction guifg=#98B3AD guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi cUserFunctionPointer guifg=SpringGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi cUserLabel guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi dbgBreakPt guifg=fg guibg=FireBrick gui=NONE  ctermfg=fg ctermbg=0 cterm=NONE 
hi dbgCurrent guifg=Tomato guibg=#573d8c gui=NONE  ctermfg=0 ctermbg=60 cterm=NONE 
hi debChangeLogCloses guifg=#885FFF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi debChangeLogEmail guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi debChangeLogEntry guifg=#7EA79C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi debChangeLogFooter guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi debChangeLogHeader guifg=LightBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi debChangeLogLP guifg=SandyBrown guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi debChangeLogName guifg=AquaMarine guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Debug guifg=#88CB35 guibg=bg gui=NONE  ctermfg=113 ctermbg=bg cterm=NONE 
hi DebugSpecial guifg=HoneyDew4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi DebugString guifg=#DAA099 guibg=bg gui=NONE  ctermfg=180 ctermbg=bg cterm=NONE 
hi DebugType guifg=LimeGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Decorator guifg=#57d700 guibg=bg gui=NONE  ctermfg=76 ctermbg=bg cterm=NONE 
hi Define guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Definition guifg=#f8ed97 guibg=bg gui=NONE  ctermfg=228 ctermbg=bg cterm=NONE 
hi defKeywords guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi Delimiter guifg=#77BBB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi diffAdd guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi diffAdded guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi diffBDiffer guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi diffChange guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi diffChanged guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi diffComment guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi diffCommon guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi diffDelete guifg=LightBlue4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi diffDiffer guifg=Green3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi diffFile guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi diffIdentical guifg=Green3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi diffIsA guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi diffLine guifg=#2FC2AC guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi diffNewFile guifg=#66D999 guibg=bg gui=NONE  ctermfg=78 ctermbg=bg cterm=NONE 
hi diffNoEOL guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi diffOldFile guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi diffOldLine guifg=Gray30 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi diffOnly guifg=Green3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi diffRemoved guifg=HotPink3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi diffSubname guifg=#CFAC44 guibg=bg gui=underline  ctermfg=179 ctermbg=bg cterm=underline 
hi dimmed guifg=#73A3B9 guibg=#193835 gui=NONE  ctermfg=73 ctermbg=23 cterm=NONE 
hi Directory guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi docbkKeyword guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi docbkRegion guifg=#A0ACAC guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi docbkTitle guifg=HotPink3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dosIniHeader guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dosIniLabel guifg=#21C43B guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi dosIniNumber guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dotBraceEncl guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dotBraceErr guifg=Khaki2 guibg=VioletRed4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi dotBrackEncl guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dotBrackErr guifg=Khaki2 guibg=VioletRed4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi dotIdentifier guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi dotKeyChar guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dotKeyword guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dotParEncl guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dotParErr guifg=Khaki2 guibg=VioletRed4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi dotString guifg=#99ad6a guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi dottedName guifg=#57d700 guibg=bg gui=NONE  ctermfg=76 ctermbg=bg cterm=NONE 
hi dotTodo guifg=LemonChiffon3 guibg=Maroon4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi dotType guifg=PaleGreen2 guibg=DarkSlateGray gui=NONE  ctermfg=0 ctermbg=160 cterm=NONE 
hi dtALocale guifg=LightSkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dtBooleanKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi dtBooleanValue guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dtComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi dtdConstant guifg=#C5B5C5 guibg=bg gui=NONE  ctermfg=182 ctermbg=bg cterm=NONE 
hi dtDelim guifg=#5DDD9C guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi dtdEntity guifg=#E191A1 guibg=bg gui=NONE  ctermfg=175 ctermbg=bg cterm=NONE 
hi dtdFunction guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dtdParamEntityDPunct guifg=Bisque3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dtdParamEntityPunct guifg=Coral3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dtdString guifg=#A1B1A1 guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi dtdTag guifg=#D84DD8 guibg=bg gui=NONE  ctermfg=170 ctermbg=bg cterm=NONE 
hi dtdTagName guifg=#CDA839 guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi dtExecKey guifg=#009F6F guibg=bg gui=underline  ctermfg=35 ctermbg=bg cterm=underline 
hi dtExecParam guifg=LightSkyBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi dtGroup guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi dtLocaleKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi dtNumericKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi dtStringKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi dtTypeKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi dtTypeValue guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi dtXAddKey guifg=#009F6F guibg=bg gui=underline  ctermfg=35 ctermbg=bg cterm=underline 
hi easyMotionShade guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi EasyMotionTarget guifg=Linen guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi EasyMotionTarget2First guifg=#DF44DF guibg=bg gui=NONE  ctermfg=170 ctermbg=bg cterm=NONE 
hi EasyMotionTarget2Second guifg=#BF44BF guibg=bg gui=NONE  ctermfg=133 ctermbg=bg cterm=NONE 
hi ebnfMetaIdentifier guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi endOfBuffer guifg=#003966 guibg=bg gui=NONE  ctermfg=23 ctermbg=bg cterm=NONE 
hi Entity guifg=#F4E891 guibg=CadetBlue4 gui=NONE  ctermfg=222 ctermbg=184 cterm=NONE 
hi Error guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi errorMsg guifg=Black guibg=#8B7FFF gui=NONE  ctermfg=34 ctermbg=105 cterm=NONE 
hi eRubyBlock guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi eRubyDelimiter guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi eRubyExpression guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi Exception guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ExpectComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi ExpectNumber guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi ExpectString guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi extraditeLogId guifg=#5D999C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi extraditeLogName guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi extraditeLogTag guifg=#009F6F guibg=bg gui=italic  ctermfg=35 ctermbg=bg cterm=italic 
hi FileBeagleDirectoryEntry guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fileEntry guifg=#70B769 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi filesearchCurrentEntry guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fileSearchSyntaxFileGroupTitle guifg=DarkCyan guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi fileSearchSyntaxUncontextedLineNum guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi filesearchSyntaxUncontextedLineText guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Float guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi FoldColumn guifg=#21C43B guibg=#082926 gui=NONE  ctermfg=41 ctermbg=0 cterm=NONE 
hi Folded guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi foldedFmrLine guifg=#60801F guibg=bg gui=NONE  ctermfg=64 ctermbg=bg cterm=NONE 
hi FortranComment guifg=#2D88A2 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi FortranConditional guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi FortranConditionalOb guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi FortranIntrinsic guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi FortranNumber guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi FortranObsolete guifg=Turquoise3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi FortranOperator guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi FortranParen guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi FortranStorageClass guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi FortranString guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi FortranTab guifg=LemonChiffon2 guibg=#061126 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi FortranType guifg=#2AB06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi FortranUnitHeader guifg=#539AC0 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi fountainActionForced guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fountainBold guifg=DodgerBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi fountainBoldItalic guifg=#FFC8AD guibg=bg gui=italic  ctermfg=223 ctermbg=bg cterm=italic 
hi fountainBoneyard guifg=LightSalmon4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fountainCentered guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi fountainCharacter guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fountainDialogue guifg=#8ECFBE guibg=bg gui=italic  ctermfg=115 ctermbg=bg cterm=italic 
hi fountainHeader1 guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi fountainHeader2 guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi fountainHeader3 guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi fountainHeader4 guifg=#5D999C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi fountainHeader5 guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi fountainHeader6 guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi fountainItalic guifg=#C29955 guibg=bg gui=italic  ctermfg=137 ctermbg=bg cterm=italic 
hi fountainLyric guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fountainNotes guifg=Gray50 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi fountainPageBreak guifg=#556B2F guibg=bg gui=NONE  ctermfg=58 ctermbg=bg cterm=NONE 
hi fountainParenthetical guifg=Gray50 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi fountainSceneHeading guifg=#CC6688 guibg=bg gui=underline  ctermfg=168 ctermbg=bg cterm=underline 
hi fountainSceneNumber guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi fountainSection guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi fountainSynopses guifg=CornFlowerBlue guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi fountainTitlePage guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi fountainTransition guifg=#CC7755 guibg=bg gui=italic  ctermfg=173 ctermbg=bg cterm=italic 
hi fountainTransitionForced guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi fountainUnderlined guifg=#21C43B guibg=bg gui=italic  ctermfg=41 ctermbg=bg cterm=italic 
hi fsComment guifg=#557F8F guibg=bg gui=italic  ctermfg=66 ctermbg=bg cterm=italic 
hi fsDevice guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fsDeviceError guifg=IndianRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fsDeviceKeyword guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fsDeviceUUID guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi fsFreqPassError guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi fsFreqPassNumber guifg=#7DB3FF guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi fsMountPoint guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi fsMountPointError guifg=ForestGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fsMountPointKeyword guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fsOperator guifg=Gray50 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi fsOptions guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi fsOptionsExt2Errors guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi fsOptionsGeneral guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi fsOptionsKeywords guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi fsOptionsNumber guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fsOptionsString guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fsType guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi fsTypeKeyword guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi fsTypeUnknown guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi fugitiveblameAnnotation guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fugitiveblameBoundary guifg=#00B99C guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi fugitiveblameDelimiter guifg=DarkSlateGray4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi fugitiveblameHash guifg=#00A99C guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi fugitiveblameLineNumber guifg=#5D899C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi fugitiveblameNotCommittedYet guifg=#5D899C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi fugitiveblameOriginalFile guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi fugitiveblameOriginalLineNumber guifg=Plum4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi fugitiveblameShort guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi fugitiveblameTime guifg=#00A99C guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi fugitiveblameUncommitted guifg=bg guibg=bg gui=NONE  ctermfg=bg ctermbg=16 cterm=NONE 
hi Function guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitcommitArrow guifg=#9F0096 guibg=bg gui=NONE  ctermfg=126 ctermbg=bg cterm=NONE 
hi gitcommitBlank guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi gitCommitBranch guifg=HotPink1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitCommitComment guifg=#9F0096 guibg=bg gui=NONE  ctermfg=126 ctermbg=bg cterm=NONE 
hi gitcommitDiscarded guifg=#9F0096 guibg=bg gui=NONE  ctermfg=126 ctermbg=bg cterm=NONE 
hi gitcommitDiscardedArrow guifg=#9F0096 guibg=bg gui=NONE  ctermfg=126 ctermbg=bg cterm=NONE 
hi gitcommitDiscardedFile guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi gitcommitDiscardedType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi gitcommitFile guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi gitcommitHeader guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi gitCommitNoBranch guifg=#D788DD guibg=bg gui=NONE  ctermfg=176 ctermbg=bg cterm=NONE 
hi gitcommitNoChanges guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi gitCommitOnBranch guifg=#D788DD guibg=bg gui=NONE  ctermfg=176 ctermbg=bg cterm=NONE 
hi gitCommitOverflow guifg=FireBrick3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitcommitSelected guifg=#9F0096 guibg=bg gui=NONE  ctermfg=126 ctermbg=bg cterm=NONE 
hi gitcommitSelectedArrow guifg=#9F0096 guibg=bg gui=NONE  ctermfg=126 ctermbg=bg cterm=NONE 
hi gitcommitSelectedFile guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi gitcommitSelectedType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi gitcommitSummary guifg=SpringGreen4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitcommitType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi gitcommitUnmerged guifg=#18E000 guibg=bg gui=NONE  ctermfg=40 ctermbg=bg cterm=NONE 
hi gitcommitUnmergedArrow guifg=#18E000 guibg=bg gui=NONE  ctermfg=40 ctermbg=bg cterm=NONE 
hi gitcommitUnmergedFile guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi gitcommitUnmergedType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi gitcommitUntracked guifg=#9F0096 guibg=bg gui=NONE  ctermfg=126 ctermbg=bg cterm=NONE 
hi gitcommitUntrackedFile guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitCommitWarning guifg=OrangeRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitDate guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitDateHeader guifg=#9F88DD guibg=bg gui=NONE  ctermfg=140 ctermbg=bg cterm=NONE 
hi gitDiff guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitDiffAdded guifg=#B3AC64 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi gitDiffRemoved guifg=MediumSlateBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitEmail guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi gitEmailDelimiter guifg=#77BBB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi gitFile guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi gitGutterAdd guifg=Orange guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitGutterChange guifg=DarkOliveGreen2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi gitGutterChangeDelete guifg=FireBrick2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitGutterChangeLineDefault guifg=CornFlowerBlue guibg=Gray20 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi gitGutterDelete guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi gitHash guifg=#D2E000 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi gitHashAbbrev guifg=#D2E000 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi gitHunk guifg=#7F9E8C guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi gitIdentity guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi gitIdentityHeader guifg=#9F88DD guibg=bg gui=NONE  ctermfg=140 ctermbg=bg cterm=NONE 
hi gitIdentityKeyword guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi gitInfoBranch guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitInfoCommit guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitInfoRepo guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitKeyword guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi gitMode guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitNotesHeader guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi gitReference guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitReflogHeader guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi gitReflogMiddle guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gitStage guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi gitTitle guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi gitType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goBif guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi goBlock guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goBoolean guifg=LightSlateBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goBranch guifg=#9ECD00 guibg=bg gui=NONE  ctermfg=148 ctermbg=bg cterm=NONE 
hi goBuildCommentStart guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi goBuildDirectives guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goBuildKeyword guifg=MediumPurple1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goBuiltins guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi goCall guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goCharacter guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi goClause guifg=#A1B191 guibg=bg gui=NONE  ctermfg=144 ctermbg=bg cterm=NONE 
hi goComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi goComplexes guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goConcurrent guifg=#00AC9C guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi goConditional guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goConstant guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi goDecimalInt guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi goDeclaration guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi goDeclType guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi goDirective guifg=#BB9F9F guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi godocComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi godocConst guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi godocDefinition guifg=#1AAEDE guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi godocFunction guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi godocMethodName guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi godocMethodRec guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi godocTitle guifg=Chocolate3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi godocType guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi godocVar guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goErr guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi goEscapeBigU guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goEscapeC guifg=DarkSeaGreen guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goEscapeError guifg=BurlyWood1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goEscapeOctal guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goEscapeU guifg=DarkSeaGreen guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goEscapeX guifg=DarkSeaGreen guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goExtraType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goFloat guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goFloats guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goFormatSpecifier guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi goFunction guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goHexadecimalInt guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goImaginary guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goInt guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goInteger guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goInterface guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goLabel guifg=DarkCyan guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goLineComment guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi goMethod guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goNumber guifg=#A6EE76 guibg=bg gui=NONE  ctermfg=156 ctermbg=bg cterm=NONE 
hi goNumbers guifg=#A6EE76 guibg=bg gui=NONE  ctermfg=156 ctermbg=bg cterm=NONE 
hi goNumbersCom guifg=#A6EE76 guibg=bg gui=NONE  ctermfg=156 ctermbg=bg cterm=NONE 
hi goOct guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goOctalError guifg=BurlyWood1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goOctalInt guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goOctZero guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goOperator guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi goPackageComment guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi goParen guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goRawString guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi goRepeat guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goSignedInts guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goSpaceError guifg=BurlyWood1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goSpecial guifg=OliveDrab4 guibg=bg gui=NONE  ctermfg=21 ctermbg=bg cterm=NONE 
hi goSpecialString guifg=OliveDrab4 guibg=bg gui=NONE  ctermfg=21 ctermbg=bg cterm=NONE 
hi goStatement guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goString guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi goStruct guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goStructDef guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goTitle guifg=SeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi goTplAction guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goTplComment guifg=#5D7BA0 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi goTplControl guifg=#2AA070 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi goTplFunctions guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi goTplVariable guifg=#63A393 guibg=bg gui=NONE  ctermfg=72 ctermbg=bg cterm=NONE 
hi goType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goUnsignedInts guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi goValue guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi GrayMsg guifg=#507080 guibg=#001020 gui=NONE  ctermfg=60 ctermbg=0 cterm=NONE 
hi GrayMsg2 guifg=#507080 guibg=Black gui=NONE  ctermfg=60 ctermbg=34 cterm=NONE 
hi GrayMsg3 guifg=#507080 guibg=bg gui=NONE  ctermfg=60 ctermbg=bg cterm=NONE 
hi groovyScopeDecl guifg=ForestGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gtkRcComment guifg=#5B8999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi gtkRcInclude guifg=#63AD9C guibg=bg gui=italic  ctermfg=73 ctermbg=bg cterm=italic 
hi gtkRcKeyword guifg=#7fa2e6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi gtkRcNumber guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi gtkRcRGBColor guifg=#7fA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi gtkRcStateName guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi gtkRcString guifg=#7fA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi gtkRcStyleKeyword guifg=#7fA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi gtkRcTop guifg=#7fA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi gundoCurrentLocation guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi gundoHelp guifg=#3399FF guibg=bg gui=NONE  ctermfg=69 ctermbg=bg cterm=NONE 
hi gundoNumber guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi gundoNumberField guifg=#14A076 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi helpBacktick guifg=DodgerBlue guibg=NONE gui=NONE  ctermfg=0 ctermbg=NONE cterm=NONE 
hi helpBar guifg=FireBrick1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi helpBox1 guifg=#00B780 guibg=NONE gui=NONE  ctermfg=36 ctermbg=NONE cterm=NONE 
hi helpBox2 guifg=#00B780 guibg=NONE gui=NONE  ctermfg=36 ctermbg=NONE cterm=NONE 
hi helpBox3 guifg=#00B780 guibg=NONE gui=NONE  ctermfg=36 ctermbg=NONE cterm=NONE 
hi helpBox4 guifg=#00B780 guibg=NONE gui=NONE  ctermfg=36 ctermbg=NONE cterm=NONE 
hi helpBox5 guifg=#00B780 guibg=NONE gui=NONE  ctermfg=36 ctermbg=NONE cterm=NONE 
hi helpCommand guifg=DodgerBlue guibg=NONE gui=NONE  ctermfg=0 ctermbg=NONE cterm=NONE 
hi helpExample guifg=#77AAAD guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi helpExampleItem guifg=#C29999 guibg=bg gui=underline  ctermfg=138 ctermbg=bg cterm=underline 
hi helpExCmdHdr guifg=#44AA22 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi helpHeader guifg=#00B780 guibg=NONE gui=NONE  ctermfg=36 ctermbg=NONE cterm=NONE 
hi helpHeadline guifg=#009953 guibg=NONE gui=italic  ctermfg=29 ctermbg=NONE cterm=italic 
hi helpHypertextEntry guifg=#41827E guibg=NONE gui=NONE  ctermfg=66 ctermbg=NONE cterm=NONE 
hi helpHypertextJump guifg=DodgerBlue guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi helpIgnore guifg=bg guibg=bg gui=NONE  ctermfg=bg ctermbg=16 cterm=NONE 
hi helpNote guifg=DodgerBlue guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi helpNotVi guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi helpOption guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi helpSection guifg=SkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi helpSectionDelim guifg=#00B780 guibg=NONE gui=NONE  ctermfg=36 ctermbg=NONE cterm=NONE 
hi helpSectionNmbr guifg=#5D8B9C guibg=bg gui=italic  ctermfg=67 ctermbg=bg cterm=italic 
hi helpSectionTitle guifg=#2AC0CB guibg=bg gui=italic  ctermfg=38 ctermbg=bg cterm=italic 
hi helpSpecial guifg=#5D999C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi helpStar guifg=#38996C guibg=bg gui=NONE  ctermfg=65 ctermbg=bg cterm=NONE 
hi helpTitle guifg=DodgerBlue guibg=NONE gui=NONE  ctermfg=0 ctermbg=NONE cterm=NONE 
hi helpTodo guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi helpURL guifg=MediumSlateBlue guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi helpVim guifg=BurlyWood3 guibg=bg gui=italic,underline  ctermfg=0 ctermbg=bg cterm=italic,underline 
hi hsComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi hsConditional guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi hsConSym guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi hsDelimiter guifg=#00AB55 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi hsImport guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi hsImportMod guifg=#5785AB guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi hsLineComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi hsModule guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi hsNumber guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi hsPragma guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi hsSpecialChar guifg=#7CAD73 guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi hsStatement guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi hsString guifg=#77BBB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi hsStructure guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi hsVarSym guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi htmlArg guifg=LightSkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi htmlBold guifg=SkyBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlBoldItalic guifg=SkyBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlBoldUnderline guifg=Aquamarine3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi htmlBoldUnderlineItalic guifg=Aquamarine3 guibg=bg gui=italic,underline  ctermfg=0 ctermbg=bg cterm=italic,underline 
hi htmlComment guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi htmlCommentError guifg=#CC9E65 guibg=bg gui=italic  ctermfg=179 ctermbg=bg cterm=italic 
hi htmlCommentPart guifg=Tomato4 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlEndTag guifg=#876BC1 guibg=bg gui=NONE  ctermfg=97 ctermbg=bg cterm=NONE 
hi htmlError guifg=#AAAA88 guibg=bg gui=bold  ctermfg=144 ctermbg=bg cterm=bold 
hi htmlEvent guifg=LightCyan3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlEventDQ guifg=DodgerBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlH1 guifg=Chocolate3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlH2 guifg=PaleGreen3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlH3 guifg=Azure3 guibg=bg gui=italic  ctermfg=20 ctermbg=bg cterm=italic 
hi htmlH4 guifg=White guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlH5 guifg=AquaMarine2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlH6 guifg=Khaki guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlItalic guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi htmlLink guifg=#A18855 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi htmlNone guifg=fg guibg=bg gui=NONE  ctermfg=fg ctermbg=bg cterm=NONE 
hi htmlNoneItalic guifg=fg guibg=bg gui=italic  ctermfg=fg ctermbg=bg cterm=italic 
hi htmlNoneUnderlineItalic guifg=fg guibg=bg gui=underline,italic  ctermfg=fg ctermbg=bg cterm=underline,italic 
hi htmlScriptTag guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi htmlSpecialChar guifg=LightSkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi htmlSpecialTagName guifg=#999A88 guibg=bg gui=NONE  ctermfg=102 ctermbg=bg cterm=NONE 
hi htmlString guifg=#559DAD guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi htmlTag guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi htmlTagError guifg=OrangeRed guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi htmlTagN guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi htmlTagName guifg=SlateGray4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi htmlTitle guifg=LimeGreen guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi htmlUnderline guifg=PowderBlue guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi iCursor guifg=darkred guibg=#76FFFF gui=NONE  ctermfg=160 ctermbg=123 cterm=NONE 
hi Identifier guifg=#00A66F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi Ignore guifg=Gray24 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Import guifg=#cda869 guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi Include guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi incSearch guifg=Red4 guibg=#6AFFB0 gui=NONE  ctermfg=40 ctermbg=85 cterm=NONE 
hi indentGuidesEven guifg=fg guibg=#3D2B6B gui=NONE  ctermfg=fg ctermbg=53 cterm=NONE 
hi indentGuidesOdd guifg=fg guibg=#1c3644 gui=NONE  ctermfg=fg ctermbg=23 cterm=NONE 
hi infoSHA1 guifg=#A7AFB2 guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi iniComment guifg=#558F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi iniRule guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi iniSection guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Integer guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaAnnotation guifg=#8870FF guibg=bg gui=italic  ctermfg=99 ctermbg=bg cterm=italic 
hi javaAssert guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaBoolean guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaBraces guifg=#579CCC guibg=bg gui=NONE  ctermfg=74 ctermbg=bg cterm=NONE 
hi javaBranch guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaC_ guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaC_java guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaC_javaLang guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaCharacter guifg=#009ACD guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi javaClassDecl guifg=#00B880 guibg=bg gui=underline  ctermfg=36 ctermbg=bg cterm=underline 
hi javaComment guifg=#5B8999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi javaComment2String guifg=#5B8999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi javaCommentCharacter guifg=SlateBlue3 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi javaCommentStar guifg=AquaMarine4 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi javaCommentString guifg=#5B8999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi javaCommentTitle guifg=SteelBlue3 guibg=bg gui=italic  ctermfg=10 ctermbg=bg cterm=italic 
hi javaConditional guifg=#00AF6F guibg=NONE gui=NONE  ctermfg=35 ctermbg=NONE cterm=NONE 
hi javaConstant guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi javaDebug guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi javaDebugBoolean guifg=#63B3A0 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi javaDebugCharacter guifg=#DAA099 guibg=bg gui=NONE  ctermfg=180 ctermbg=bg cterm=NONE 
hi javaDebugNumber guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi javaDebugParen guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi javaDebugSpecial guifg=Magenta4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaDebugSpecialCharacter guifg=Magenta3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaDebugString guifg=Chartreuse3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaDebugStringError guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaDebugType guifg=Burlywood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaDocComment guifg=#5B8999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi javaDocParam guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaDocSeeTagParam guifg=Sienna3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaDocTags guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi javaE_ guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaE_java guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaE_javaLang guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaError guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi javaError1 guifg=#32C5B0 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi javaError2 guifg=#32C5B0 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi javaExceptions guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaExternal guifg=Snow3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaFold guifg=#FFD1FA guibg=bg gui=bold  ctermfg=225 ctermbg=bg cterm=bold 
hi javaFuncBody guifg=PaleGreen2 guibg=DarkSlateGray gui=NONE  ctermfg=0 ctermbg=160 cterm=NONE 
hi javaFuncDef guifg=Turquoise2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaInParen guifg=#7EAA9C guibg=NONE gui=NONE  ctermfg=109 ctermbg=NONE cterm=NONE 
hi javaLabel guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaLambdaDef guifg=SkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaLangObject guifg=#00AA6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi javaLineComment guifg=#5B8999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi javaMethodDecl guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaNumber guifg=#7DB3FF guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi javaOperator guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaParen guifg=#7EB49C guibg=NONE gui=NONE  ctermfg=109 ctermbg=NONE cterm=NONE 
hi javaParenError guifg=#7EB49C guibg=NONE gui=NONE  ctermfg=109 ctermbg=NONE cterm=NONE 
hi javaParenT guifg=#A6A069 guibg=NONE gui=NONE  ctermfg=143 ctermbg=NONE cterm=NONE 
hi javaR_ guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaR_java guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaR_javaLang guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaRepeat guifg=SeaGreen3 guibg=NONE gui=underline  ctermfg=0 ctermbg=NONE cterm=underline 
hi javaScopeDecl guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi javascript guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi javaScriptAjaxMethods guifg=SeaGreen1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptAjaxObjects guifg=#F4E891 guibg=bg gui=NONE  ctermfg=222 ctermbg=bg cterm=NONE 
hi javaScriptAjaxProperties guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi javascriptBoolean guifg=#A8B0AA guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi javascriptBraces guifg=#8FB4E0 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi javaScriptBranch guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaScriptBrowserObjects guifg=#2B9920 guibg=bg gui=NONE  ctermfg=28 ctermbg=bg cterm=NONE 
hi javaScriptCharacter guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptComment guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi javaScriptCommentSkip guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi javascriptCommentTodo guifg=#C6B6FE guibg=#345FA8 gui=underline  ctermfg=183 ctermbg=61 cterm=underline 
hi javascriptConditional guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi javaScriptCssStyles guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaScriptCvsTag guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi javaScriptDeprecated guifg=Gray65 guibg=bg gui=underline  ctermfg=17 ctermbg=bg cterm=underline 
hi javaScriptDocComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi javaScriptDocParam guifg=#009F6F guibg=bg gui=underline  ctermfg=35 ctermbg=bg cterm=underline 
hi javaScriptDocSeeTag guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi javaScriptDocTags guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi javaScriptDomElemAttrs guifg=SkyBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptDomElemFuncs guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi javaScriptDomErrNo guifg=#CC4455 guibg=bg gui=bold  ctermfg=167 ctermbg=bg cterm=bold 
hi javaScriptDOMMethods guifg=#14B076 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi javaScriptDomNodeConsts guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptDOMObjects guifg=#4490FF guibg=bg gui=NONE  ctermfg=69 ctermbg=bg cterm=NONE 
hi javaScriptDOMProperties guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi javaScriptEndColons guifg=DodgerBlue2 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi javaScriptError guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi javaScriptEventListenerKeywords guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptExceptions guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaScriptExpression guifg=#339933 guibg=bg gui=NONE  ctermfg=65 ctermbg=bg cterm=NONE 
hi javaScriptFloat guifg=#A8C0AA guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi javaScriptFuncComma guifg=#00CF6F guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi javascriptFuncDef guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi javascriptFuncEq guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptFuncExp guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptFuncKeyword guifg=#00B8BF guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaScriptFuncName guifg=LimeGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptFunction guifg=LimeGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptGlobal guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi javaScriptGlobalObjects guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi javaScriptHtmlElemAttrs guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptHtmlElemFuncs guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptHtmlElemProperties guifg=#2BB777 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi javaScriptHtmlEvents guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptIdentifier guifg=#00B8BF guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaScriptLabel guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptLineComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi javaScriptLogicSymbols guifg=#2b9999 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi javascriptMember guifg=DodgerBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi javascriptMessage guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptNull guifg=CadetBlue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi javaScriptNumber guifg=#A8C0AA guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi javascriptOperator guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaScriptOpSymbols guifg=#6CE6A2 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi javaScriptParens guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaScriptParensErrA guifg=bg guibg=#5FD75F gui=NONE  ctermfg=bg ctermbg=77 cterm=NONE 
hi javaScriptParensErrB guifg=bg guibg=#5FD75F gui=NONE  ctermfg=bg ctermbg=77 cterm=NONE 
hi javaScriptParensErrC guifg=bg guibg=#5FD75F gui=NONE  ctermfg=bg ctermbg=77 cterm=NONE 
hi javaScriptParensError guifg=bg guibg=#5FD75F gui=NONE  ctermfg=bg ctermbg=77 cterm=NONE 
hi javaScriptProprietaryObjects guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi javaScriptPrototype guifg=SkyBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptRegexpString guifg=CadetBlue3 guibg=#152933 gui=NONE  ctermfg=184 ctermbg=17 cterm=NONE 
hi javascriptRepeat guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi javaScriptReserved guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi javaScriptSource guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi javascriptSpecial guifg=#7697d6 guibg=bg gui=NONE  ctermfg=104 ctermbg=bg cterm=NONE 
hi javascriptStatement guifg=#00B8BF guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javascriptString guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javascriptStringD guifg=#7FA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi javascriptStringS guifg=#8B78E5 guibg=bg gui=NONE  ctermfg=104 ctermbg=bg cterm=NONE 
hi javascriptType guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi javaScriptValue guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi javaSpaceError guifg=IndianRed3 guibg=Gray20 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi javaSpecial guifg=OliveDrab2 guibg=bg gui=NONE  ctermfg=21 ctermbg=bg cterm=NONE 
hi javaSpecialChar guifg=#009ACD guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi javaSpecialCharError guifg=Bisque3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaSpecialError guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaStatement guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaStorageClass guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi javaString guifg=#7EB49C guibg=NONE gui=NONE  ctermfg=109 ctermbg=NONE cterm=NONE 
hi javaStringError guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi javaType guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi javaTypeDef guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi javaUserLabel guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaUserLabelRef guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi javaVarArg guifg=#C262CC guibg=bg gui=NONE  ctermfg=134 ctermbg=bg cterm=NONE 
hi javaX_ guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaX_java guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi javaX_javaLang guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi jinjaArgument guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi jinjaAttribute guifg=BlueViolet guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jinjaFilter guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jinjaOperator guifg=BlueViolet guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jinjaStatement guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi jinjaTagBlock guifg=RoyalBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jinjaVarBlock guifg=#3399E1 guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi jinjaVariable guifg=BlueViolet guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jPropertiesComment guifg=#5D8B9C guibg=bg gui=italic  ctermfg=67 ctermbg=bg cterm=italic 
hi jPropertiesDelimiter guifg=#25CCC3 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi jPropertiesIdentifier guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jPropertiesSpecial guifg=#869BCC guibg=bg gui=NONE  ctermfg=104 ctermbg=bg cterm=NONE 
hi jPropertiesSpecialChar guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi jPropertiesString guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jsExpression guifg=#339933 guibg=bg gui=NONE  ctermfg=65 ctermbg=bg cterm=NONE 
hi jsonBoolean guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jsonBraces guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi jsonCommentError guifg=#C4285D guibg=bg gui=NONE  ctermfg=161 ctermbg=bg cterm=NONE 
hi jsonEscape guifg=#C29955 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi jsonKeyword guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi jsonKeywordMatch guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi jsonKeywordRegion guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi jsonMissingCommaError guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jsonNoise guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi jsonNoQuotesError guifg=#FF66AA guibg=bg gui=NONE  ctermfg=205 ctermbg=bg cterm=NONE 
hi jsonNumber guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jsonNumError guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jsonQuotesError guifg=#FF66AA guibg=bg gui=NONE  ctermfg=205 ctermbg=bg cterm=NONE 
hi jsonSemicolonError guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi jsonString guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi jsonStringSQError guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jsonTrailingCommaError guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi jsonTripleQuotesError guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi jspTag guifg=#C28985 guibg=bg gui=NONE  ctermfg=138 ctermbg=bg cterm=NONE 
hi juliaBaseTypeArray guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeBasic guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeC guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeDict guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeDisplay guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeError guifg=Brown2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaBaseTypeFact guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeIO guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeIter guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeNum guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeOther guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeProcess guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeRandom guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeRange guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeRegex guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeRound guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeSet guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeSort guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeSpecial guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeString guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBaseTypeTime guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaBeginBlock guifg=#00B66F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliabigString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaBlKeyword guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliaBool guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi juliabString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaCatch guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaChar guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi juliaCharacter guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi juliaColon guifg=#00A8CC guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi juliaComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi juliaCommentDelim guifg=DeepSkyBlue4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaCommentL guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi juliaCommentM guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi juliaComplexUnit guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaComprehensionFor guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi juliaComprehensionIf guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi juliaConditional guifg=#DD4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi juliaConditionalBlock guifg=#B79669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi juliaConditionalEIBlock guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaConstBool guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi juliaConstC guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaConstEnv guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaConstGeneric guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaConstIO guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaConstLimits guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaConstNum guifg=#6B8FCC guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaCTransOperator guifg=#0077CC guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi juliaCurBraBlock guifg=#E18FA1 guibg=bg gui=NONE  ctermfg=175 ctermbg=bg cterm=NONE 
hi juliaDeclAbstract guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi juliaDeclaration guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliaDeclType guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi juliaDirective guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaDoBlock guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi juliaDocString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaDollarPar guifg=#B79669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi juliaDollarVar guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaElse guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaError guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi juliaErrorCatch guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaErrorElse guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaErrorEnd guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaErrorFinally guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaErrorPar guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaErrorPrintfFmt guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaErrorSemicol guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaException guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi juliaFloat guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaFloatSpecial guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaFunction guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaFunctionBlock guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaHexEscapeChar guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaIdentifierSpecial guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliaIf guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaImmutableBlock guifg=#86D986 guibg=bg gui=NONE  ctermfg=114 ctermbg=bg cterm=NONE 
hi juliaIn guifg=SpringGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaipString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaKeyword guifg=#14B044 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliaLetBlock guifg=#3494A8 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi juliaMacro guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaMacroBlock guifg=#F660E5 guibg=bg gui=NONE  ctermfg=206 ctermbg=bg cterm=NONE 
hi juliaMacroCall guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaMIMEString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaMiscBlock guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaModule guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi juliaModuleBlock guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaNumber guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi juliaOctalEscapeChar guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaOperator guifg=#AABFBB guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi juliaParBlock guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaParBlockInRange guifg=#E18FA1 guibg=bg gui=NONE  ctermfg=175 ctermbg=bg cterm=NONE 
hi juliaParDelim guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaPrintfFmt guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaPrintfParBlock guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaPrintfString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaQParDelim guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaQuoteBlock guifg=Gray80 guibg=bg gui=NONE  ctermfg=18 ctermbg=bg cterm=NONE 
hi juliaQuotedQMark guifg=#0077CC guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi juliaQuotedQMarkPar guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaQuotedQMarkParS guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaQuoteParBlock guifg=Gray80 guibg=bg gui=NONE  ctermfg=18 ctermbg=bg cterm=NONE 
hi juliaRangeEnd guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi juliaRangeOperator guifg=#0077CC guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi juliaRegEx guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaRepeat guifg=#FF48AA guibg=bg gui=NONE  ctermfg=205 ctermbg=bg cterm=NONE 
hi juliaRepeatBlock guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliaRepKeyword guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliarString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaSemicolon guifg=DarkSeaGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaShellString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaSpecialChar guifg=SlateBlue1 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi juliaSqBraBlock guifg=Tan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliasString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaStatement guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi juliaString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaStringDelim guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi juliaStringVarDelim guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaStringVarsPar guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaStringVarsPla guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaSymbol guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaSymbolS guifg=#558ADA guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi juliaTernaryOperator guifg=#2ACACA guibg=bg gui=NONE  ctermfg=44 ctermbg=bg cterm=NONE 
hi juliaTernaryRegion guifg=#2ACACA guibg=bg gui=NONE  ctermfg=44 ctermbg=bg cterm=NONE 
hi juliaTodo guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaTripleString guifg=#008C9C guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi juliaTry guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaType guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaTypeAlias guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi juliaTypeBlock guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaTypedef guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi juliaUniCharLarge guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliaUniCharSmall guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi juliavString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi Keyword guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi Label guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi LanguageToolCmd guifg=#2D88A2 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi LanguageToolErrorCount guifg=Brown2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi LanguageToolGrammarError guifg=LightGoldenRod guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi LanguageToolLabel guifg=#C29955 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi LanguageToolSpellingError guifg=#FF77AA guibg=bg gui=NONE  ctermfg=211 ctermbg=bg cterm=NONE 
hi LanguageToolUrl guifg=SlateGray3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi lbnfString guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi lCursor guifg=Tan1 guibg=#8C4840 gui=NONE  ctermfg=0 ctermbg=95 cterm=NONE 
hi LdifAttribute guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi LdifBase64Value guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi LdifComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi LdifPunctuation guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi LdifStringValue guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi Level16 guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Level16c guifg=#25CCC3 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi lineNr guifg=DarkSeaGreen4 guibg=#0C2628 gui=NONE  ctermfg=160 ctermbg=0 cterm=NONE 
hi lispAtom guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi lispAtomList guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi lispComment guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi lispDecl guifg=#21B434 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi lispEscapeSpecial guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi lispFunc guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lispKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi lispMark guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi lispNumber guifg=#25CCC3 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi lispParenError guifg=black guibg=#5FD75F gui=bold  ctermfg=34 ctermbg=77 cterm=bold 
hi lispString guifg=#00A5DB guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi lispSymbol guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi lispTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi listmaps_filename guifg=#CBD234 guibg=#564227 gui=NONE  ctermfg=185 ctermbg=58 cterm=NONE 
hi listmaps_underline guifg=#CBD234 guibg=#564227 gui=NONE  ctermfg=185 ctermbg=58 cterm=NONE 
hi log4jDate guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi log4jErrorlevel guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi log4jLogger guifg=#779DB2 guibg=bg gui=underline  ctermfg=109 ctermbg=bg cterm=underline 
hi log4jProcessid guifg=Turquoise2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi logError guifg=Tomato guibg=gray20 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi logGreen guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi logHeading guifg=SpringGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi logModule guifg=#7E9F8E guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi logRed guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi logYellow guifg=Khaki3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lsDir guifg=LemonChiffon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lsExe guifg=Brown2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi lsTag guifg=#8870FF guibg=bg gui=italic  ctermfg=99 ctermbg=bg cterm=italic 
hi lsVim guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi luaBlock guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi luaComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi luaCond guifg=#2FDBA6 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi luaConstant guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi luaElse guifg=#2FDBA6 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi luaFunc guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi luaFunction guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi luaNumber guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi luaOperator guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi luaParen guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi luaRepeat guifg=#2FBFBB guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi luaSpecial guifg=AquaMarine4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi luaStatement guifg=#2FBFBB guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi luaString guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi luaTable guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi luaTableBlock guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi luaTodo guifg=Wheat2 guibg=#345FA8 gui=underline  ctermfg=40 ctermbg=61 cterm=underline 
hi lv1 guifg=CadetBlue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi lv1c guifg=CadetBlue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi lv2 guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lv2c guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lv3 guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi lv3c guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi lv4 guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lv4c guifg=#25CCC3 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi lv5 guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lv5c guifg=#5B4DB3 guibg=bg gui=NONE  ctermfg=61 ctermbg=bg cterm=NONE 
hi lv6 guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi lv6c guifg=#25CCC3 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi m4Command guifg=#29A629 guibg=bg gui=NONE  ctermfg=34 ctermbg=bg cterm=NONE 
hi m4Comment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi m4Function guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi m4Paren guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi m4Preproc guifg=SeaGreen3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi m4Special guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi m4Statement guifg=SlateGray2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi m4String guifg=LightSteelBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi m4Type guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi m4Variable guifg=#29A629 guibg=bg gui=NONE  ctermfg=34 ctermbg=bg cterm=NONE 
hi Macro guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi makeBstring guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi makeCmdNextLine guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi makeCommandError guifg=Tan2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi makeCommands guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi makeComment guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi makeConfig guifg=#7FA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi makeDefine guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi makeDstring guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi makeIdent guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi makeNextLine guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi makePreCondit guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi makeSpecial guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi makeSString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi makeTarget guifg=#21C43B guibg=bg gui=underline  ctermfg=41 ctermbg=bg cterm=underline 
hi manBQSQString guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi manBQString guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi manBullet guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi manCFuncDefinition guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi manDQString guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi manLongOptionDesc guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi manLongOptionDesc guifg=DarkSeaGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi manOptionDesc guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi manOptionWord guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi manReference guifg=SkyBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi manSectionHeading guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi manSectionNumber guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi manSectionTitle guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi manSQString guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi manSubHeading guifg=Green2 guibg=bg gui=italic  ctermfg=10 ctermbg=bg cterm=italic 
hi manSubSection guifg=SeaGreen guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi manSubSectionStart guifg=#CC6688 guibg=bg gui=NONE  ctermfg=168 ctermbg=bg cterm=NONE 
hi manSubTitle guifg=Cyan guibg=Blue gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi manTitle guifg=Brown2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi manUnderline guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownAutomaticLink guifg=Turquoise3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi markdownBlockquote guifg=DarkSeaGreen guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi markdownBlockquoteDelimiter guifg=DarkSeaGreen guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi markdownBold guifg=#9F92CC guibg=bg gui=NONE  ctermfg=140 ctermbg=bg cterm=NONE 
hi markdownBoldItalic guifg=#9F92CC guibg=bg gui=italic  ctermfg=140 ctermbg=bg cterm=italic 
hi markdownCode guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownCodeBlock guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownCodeDelimiter guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownEmoticonKeyword guifg=FireBrick1 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi markdownError guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownEscape guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownH1 guifg=Salmon guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi markdownH2 guifg=#21C43B guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi markdownH3 guifg=#44B6ED guibg=bg gui=NONE  ctermfg=75 ctermbg=bg cterm=NONE 
hi markdownH4 guifg=#CFA000 guibg=bg gui=NONE  ctermfg=178 ctermbg=bg cterm=NONE 
hi markdownH5 guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownH6 guifg=VioletRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownHeadingDelimiter guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi markdownHeadingRule guifg=SlateBlue1 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi markdownId guifg=CornFlowerBlue guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi markdownIdDeclaration guifg=CornFlowerBlue guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi markdownInlineCode guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi markdownItalic guifg=#9F92CC guibg=bg gui=italic  ctermfg=140 ctermbg=bg cterm=italic 
hi markdownItemDelimiter guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi markdownLineBreak guifg=Wheat2 guibg=bg gui=NONE  ctermfg=40 ctermbg=bg cterm=NONE 
hi markdownLinkDelimiter guifg=CadetBlue4 guibg=bg gui=italic  ctermfg=184 ctermbg=bg cterm=italic 
hi markdownLinkReference guifg=CadetBlue guibg=bg gui=italic  ctermfg=184 ctermbg=bg cterm=italic 
hi markdownLinkText guifg=#73A3B9 guibg=#193835 gui=NONE  ctermfg=73 ctermbg=23 cterm=NONE 
hi markdownLinkTextDelimiter guifg=CadetBlue4 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi markdownLinkUrl guifg=CadetBlue guibg=bg gui=italic  ctermfg=184 ctermbg=bg cterm=italic 
hi markdownListMarker guifg=#799B27 guibg=bg gui=bold  ctermfg=100 ctermbg=bg cterm=bold 
hi markdownOrderedListMarker guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi markdownRule guifg=Gray50 guibg=bg gui=italic  ctermfg=17 ctermbg=bg cterm=italic 
hi markdownUrl guifg=CadetBlue guibg=bg gui=italic  ctermfg=184 ctermbg=bg cterm=italic 
hi markdownUrlDelimiter guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi markdownUrlTitle guifg=Turquoise3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi markdownUrlTitleDelimiter guifg=#779DB2 guibg=bg gui=italic  ctermfg=109 ctermbg=bg cterm=italic 
hi markdownValid guifg=#C6B6FE guibg=bg gui=NONE  ctermfg=183 ctermbg=bg cterm=NONE 
hi MarkologyHLl guifg=#21D434 guibg=#0E2628 gui=NONE  ctermfg=41 ctermbg=0 cterm=NONE 
hi MarkologyHLline guifg=LimeGreen guibg=#442200 gui=NONE  ctermfg=0 ctermbg=52 cterm=NONE 
hi MarkologyHlm guifg=Violet guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi MarkologyHLo guifg=#88A8A0 guibg=#0E2628 gui=NONE  ctermfg=109 ctermbg=0 cterm=NONE 
hi MarkologyHLu guifg=#8B8BFF guibg=#0E2628 gui=NONE  ctermfg=105 ctermbg=0 cterm=NONE 
hi MarksignLine guifg=LimeGreen guibg=#1C3644 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi MarksignLowercase guifg=#21D434 guibg=#0E2628 gui=NONE  ctermfg=41 ctermbg=0 cterm=NONE 
hi MarksignSpecial guifg=#88A8A0 guibg=#0E2628 gui=NONE  ctermfg=109 ctermbg=0 cterm=NONE 
hi MarksignUppercase guifg=#8B8BFF guibg=#0E2628 gui=NONE  ctermfg=105 ctermbg=0 cterm=NONE 
hi matchmaker guifg=#8B3050 guibg=Gray80 gui=NONE  ctermfg=95 ctermbg=18 cterm=NONE 
hi matchParen guifg=Red2 guibg=#0000BB gui=bold  ctermfg=40 ctermbg=19 cterm=bold 
hi matchtag guifg=Sienna2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi mavenGroup guifg=#4F9FFF guibg=bg gui=NONE  ctermfg=75 ctermbg=bg cterm=NONE 
hi mavenList guifg=#24EE88 guibg=bg gui=NONE  ctermfg=48 ctermbg=bg cterm=NONE 
hi mavenManagement guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi mavenOther guifg=#C27BCC guibg=bg gui=NONE  ctermfg=140 ctermbg=bg cterm=NONE 
hi mavenSet guifg=#9ED935 guibg=bg gui=NONE  ctermfg=149 ctermbg=bg cterm=NONE 
hi mavenSpecial guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi mavenStatement guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi mavenString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi messagesError guifg=Chocolate3 guibg=#0E2628 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi mkdBlockCode guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi mkdBlockquote guifg=DarkSeaGreen guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi mkdCode guifg=SlateGray3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi mkdDelimiter guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi mkdID guifg=FireBrick1 guibg=Black gui=NONE  ctermfg=0 ctermbg=34 cterm=NONE 
hi mkdLineBreak guifg=Gray50 guibg=bg gui=bold  ctermfg=17 ctermbg=bg cterm=bold 
hi mkdLineContinue guifg=Gray50 guibg=bg gui=italic  ctermfg=17 ctermbg=bg cterm=italic 
hi mkdLink guifg=#71D3B4 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi mkdLinkDef guifg=FireBrick1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi mkdLinkDefTarget guifg=CadetBlue guibg=bg gui=italic  ctermfg=184 ctermbg=bg cterm=italic 
hi mkdLinkTitle guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi mkdListCode guifg=#00B780 guibg=bg gui=italic  ctermfg=36 ctermbg=bg cterm=italic 
hi mkdListItem guifg=AquaMarine2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi mkdRule guifg=Gray50 guibg=bg gui=italic  ctermfg=17 ctermbg=bg cterm=italic 
hi mkdString guifg=DarkSeaGreen guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi mkdURL guifg=CadetBlue guibg=bg gui=italic  ctermfg=184 ctermbg=bg cterm=italic 
hi modeMsg guifg=Red4 guibg=#6AFFB0 gui=NONE  ctermfg=40 ctermbg=85 cterm=NONE 
hi moreMsg guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi n3ClassName guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi n3Declaration guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi n3EndStatement guifg=RosyBrown guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi n3Prefix guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi n3PropertyName guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi n3Separator guifg=Red1 guibg=bg gui=bold  ctermfg=40 ctermbg=bg cterm=bold 
hi n3String guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi n3StringDelim guifg=DodgerBlue2 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi n3URI guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi neocomplcacheexpandsnippets guifg=BurlyWood3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreeBookmark guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi nerdtreeBookmarkName guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi NERDtreeBookmarksHeader guifg=fg guibg=#3D2B6B gui=italic  ctermfg=fg ctermbg=53 cterm=italic 
hi nerdtreeClosable guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi nerdtreeCwd guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreeDir guifg=#77996C guibg=#0e2628 gui=NONE  ctermfg=101 ctermbg=0 cterm=NONE 
hi nerdtreeDirSlash guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi nerdtreeExecFile guifg=#E32A2A guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi nerdtreeFile guifg=#2F88A6 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi nerdtreeFlag guifg=#5D999C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi nerdtreeHelp guifg=#749BB3 guibg=bg gui=NONE  ctermfg=103 ctermbg=bg cterm=NONE 
hi NERDtreeHelpCommand guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreeHelpKey guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi nerdtreeHelpTitle guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi nerdtreeLink guifg=Gray70 guibg=bg gui=italic  ctermfg=17 ctermbg=bg cterm=italic 
hi nerdtreeLinkDir guifg=#AA88BB guibg=bg gui=NONE  ctermfg=139 ctermbg=bg cterm=NONE 
hi nerdtreeLinkFile guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreeLinkTarget guifg=#5F6CCC guibg=bg gui=italic  ctermfg=62 ctermbg=bg cterm=italic 
hi nerdtreeOpenable guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreePart guifg=LightSlateGray guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreePartFile guifg=LightSlateGray guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreeRO guifg=#2F88A6 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi nerdtreeToggleOff guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nerdtreeToggleOn guifg=#2FBBA6 guibg=bg gui=bold,underline  ctermfg=37 ctermbg=bg cterm=bold,underline 
hi nerdtreeUp guifg=LightSlateGray guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwBak guifg=#63559C guibg=bg gui=NONE  ctermfg=61 ctermbg=bg cterm=NONE 
hi netrwClassify guifg=Salmon4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwCmdNote guifg=SlateBlue3 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi netrwCmdSep guifg=Purple4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwComma guifg=#1C8844 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi netrwComment guifg=#887788 guibg=bg gui=NONE  ctermfg=102 ctermbg=bg cterm=NONE 
hi netrwCompress guifg=#5F6CCC guibg=bg gui=NONE  ctermfg=62 ctermbg=bg cterm=NONE 
hi netrwCoreDump guifg=OrangeRed3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwData guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi netrwDateSep guifg=#77BBB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi netrwDir guifg=#778877 guibg=bg gui=NONE  ctermfg=102 ctermbg=bg cterm=NONE 
hi netrwDoc guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwExe guifg=#CC5588 guibg=bg gui=NONE  ctermfg=168 ctermbg=bg cterm=NONE 
hi netrwHdr guifg=#2F87A6 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi netrwHelpCmd guifg=Green4 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi netrwHide guifg=#1C8844 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi netrwHidePat guifg=Orange3 guibg=Gray20 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi netrwHideSep guifg=#1C8844 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi netrwLex guifg=#6377AA guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi netrwLib guifg=#009953 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi netrwLink guifg=#068826 guibg=bg gui=NONE  ctermfg=28 ctermbg=bg cterm=NONE 
hi netrwList guifg=FireBrick3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwMakefile guifg=#63999C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi netrwMarkFile guifg=#CC5588 guibg=bg gui=underline  ctermfg=168 ctermbg=bg cterm=underline 
hi netrwObj guifg=#066626 guibg=bg gui=NONE  ctermfg=22 ctermbg=bg cterm=NONE 
hi netrwPlain guifg=#2F88A6 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi netrwQHtopic guifg=Purple4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwQuickHelp guifg=SlateBlue3 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi netrwSpecial guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi netrwSymlink guifg=#63BB9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi netrwTags guifg=#889988 guibg=bg gui=NONE  ctermfg=102 ctermbg=bg cterm=NONE 
hi netrwTilde guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi netrwTimeSep guifg=#77BBB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi netrwTmp guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwTreeBar guifg=Purple4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi netrwVersion guifg=#006666 guibg=bg gui=NONE  ctermfg=23 ctermbg=bg cterm=NONE 
hi netrwYacc guifg=#2F77A6 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi netrwZip guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Noise guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nonText guifg=LightSalmon4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nroffComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi nroffCond guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi nroffEscape guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nroffEscCharArg guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi nroffEscRegArg guifg=#77BBB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi nroffIdent guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi nroffNumBlock guifg=#278700 guibg=bg gui=NONE  ctermfg=28 ctermbg=bg cterm=NONE 
hi nroffReqArg guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nroffReqLeader guifg=LimeGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nroffReqName guifg=SkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nroffRequest guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi nroffSpecialChar guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi nroffUnit guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Number guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlAnyVar guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi ocamlConstructor guifg=CadetBlue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi ocamlFloat guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi ocamlFullMod guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlFunDef guifg=Plum3 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi ocamlKeyChar guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlKeyword guifg=#32C5B0 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi ocamlLabel guifg=#2DB3A0 guibg=bg gui=underline  ctermfg=37 ctermbg=bg cterm=underline 
hi ocamlLCIdentifier guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi ocamlModPath guifg=LightCyan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlModule guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlNone guifg=Plum2 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi ocamlNumber guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi ocamlOperator guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlScript guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi ocamlSig guifg=Plum2 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi ocamlString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi ocamlType guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi ocComment guifg=#2D9D44 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi ocLiteral guifg=DeepSkyBLue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi ocNumber guifg=#AAB0A0 guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi op_lv2 guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi op_lv2c guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi op_lv3 guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Operator guifg=SpringGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Other guifg=Black guibg=#345FA8 gui=NONE  ctermfg=34 ctermbg=61 cterm=NONE 
hi otlTab0 guifg=#77EEFF guibg=bg gui=underline  ctermfg=123 ctermbg=bg cterm=underline 
hi otlTab1 guifg=#86D897 guibg=bg gui=underline  ctermfg=114 ctermbg=bg cterm=underline 
hi otlTab2 guifg=#22CA99 guibg=bg gui=underline  ctermfg=42 ctermbg=bg cterm=underline 
hi otlTab3 guifg=#558F66 guibg=bg gui=underline  ctermfg=65 ctermbg=bg cterm=underline 
hi otlTab4 guifg=#8688FF guibg=bg gui=underline  ctermfg=105 ctermbg=bg cterm=underline 
hi otlTab5 guifg=#22CAFF guibg=bg gui=underline  ctermfg=45 ctermbg=bg cterm=underline 
hi otlTab6 guifg=#558FC7 guibg=bg gui=underline  ctermfg=68 ctermbg=bg cterm=underline 
hi otlTab7 guifg=#22CABB guibg=bg gui=underline  ctermfg=43 ctermbg=bg cterm=underline 
hi otlTab8 guifg=#86D897 guibg=bg gui=underline  ctermfg=114 ctermbg=bg cterm=underline 
hi otlTab9 guifg=#8666BB guibg=bg gui=underline  ctermfg=97 ctermbg=bg cterm=underline 
hi otlTagDef guifg=CornFlowerBlue guibg=#193835 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi otlTagRef guifg=LightBlue3 guibg=#1E3B31 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi otlTodo guifg=MediumSeaGreen guibg=#1E3B31 gui=underline  ctermfg=0 ctermbg=23 cterm=underline 
hi OutlawHeadI guifg=MediumAquamarine guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi OutlawHeadII guifg=MediumPurple1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi OutlawHeadIII guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi OutlawHeadIV guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi OutlawHeadIX guifg=MediumAquamarine guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi OutlawHeadV guifg=MediumAquamarine guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi OutlawHeadVI guifg=MediumPurple1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi OutlawHeadVII guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi OutlawHeadVIII guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi OutlawHeadX guifg=MediumPurple1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi OutlawKeyword guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi p6attention guifg=DeepSkyBlue2 guibg=Gray10 gui=NONE  ctermfg=160 ctermbg=0 cterm=NONE 
hi p6Comment guifg=#63567A guibg=bg gui=NONE  ctermfg=60 ctermbg=bg cterm=NONE 
hi p6Conditional guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi p6DeclareRoutine guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi p6Escape guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6Exception guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi p6Float guifg=#ABA560 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi p6FlowControl guifg=#C595C5 guibg=bg gui=NONE  ctermfg=176 ctermbg=bg cterm=NONE 
hi p6hexSequence guifg=MediumAquamarine guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6HyperOp guifg=#38BBB6 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi p6include guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6Match guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi p6MatchStartEnd guifg=#009999 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi p6module guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi p6normal guifg=#6889B4 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi p6number guifg=#A19B5B guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi p6Operator guifg=#63B09C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi p6podName guifg=Thistle3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi p6podPrefix guifg=Thistle3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6podType guifg=Thistle3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi p6property guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi p6quote guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6reduceop guifg=Orchid3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6regexName guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi p6Repeat guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi p6routine guifg=#63AD9C guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi p6rxAssertion guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6rxGroup guifg=#D363B9 guibg=bg gui=NONE  ctermfg=169 ctermbg=bg cterm=NONE 
hi p6rxMeta guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi p6String guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi p6string guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi p6StringAngle guifg=#99B966 guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi p6StringDQ guifg=#5489BF guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi p6StringSpecial guifg=#88B0FF guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi p6StringSQ guifg=#5489BF guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi p6StringStartEnd guifg=#54B3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi p6StringUnexpanded guifg=SkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6SubstitutionGQQ guifg=#44A404 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi p6SubstitutionSQ guifg=#44A404 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi p6Twigil guifg=#9EDA29 guibg=bg gui=NONE  ctermfg=148 ctermbg=bg cterm=NONE 
hi p6type guifg=#66B999 guibg=bg gui=NONE  ctermfg=72 ctermbg=bg cterm=NONE 
hi p6TypeConstraint guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi p6variable guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6varName guifg=#6DA2F1 guibg=bg gui=NONE  ctermfg=75 ctermbg=bg cterm=NONE 
hi p6varStorage guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi p6version guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi p6versionnum guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi PaleMsg guifg=PaleVioletRed4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi paramName guifg=#5f87d7 guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi pdfNumber guifg=MediumSlateBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pdfReference guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi pdfStream guifg=Gray40 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi perlBraces guifg=#409A7A guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi perlComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi perlConditional guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi perlControl guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi perlData guifg=#CC4455 guibg=bg gui=italic  ctermfg=167 ctermbg=bg cterm=italic 
hi perlFileDescRead guifg=#009944 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi perlFileDescStatement guifg=#008899 guibg=bg gui=underline  ctermfg=30 ctermbg=bg cterm=underline 
hi perlFloat guifg=#7fA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi perlFunction guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi perlFunctionName guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi perlIdentifier guifg=#B3BB64 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi perlLabel guifg=Plum2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi perlMatch guifg=#8898FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi perlMatchStartEnd guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi perlMethod guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi perlNumber guifg=#ABA560 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi perlOperator guifg=#AAAFBB guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi perlPackageDecl guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi perlPackageRef guifg=#7FBBE6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi perlPod guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi perlRepeat guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi perlSharpBang guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi perlSpecialMatch guifg=#C27B66 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi perlSpecialString guifg=#7399B9 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi perlStatement guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi perlStatementControl guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi perlStatementFileDesc guifg=#009899 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi perlStatementFiles guifg=#009899 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi perlStatementFlow guifg=#009899 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi perlStatementInclude guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi perlStatementIndirObjWrap guifg=#2AB66B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi perlStatementList guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi perlStatementScalar guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi perlStatementSocket guifg=RoyalBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi perlStatementStorage guifg=#009988 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi perlString guifg=#00A399 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi perlStringStartEnd guifg=#54B3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi perlStringUnexpanded guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi perlSubName guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi perlSubPrototype guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi perlSubstitutionGQQ guifg=#44A404 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi perlSubstitutionSQ guifg=#44A404 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi perlTodo guifg=LemonChiffon3 guibg=#345FA8 gui=NONE  ctermfg=0 ctermbg=61 cterm=NONE 
hi perltype guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi perlVarMember guifg=#8898FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi perlVarPlain guifg=#009098 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi perlVarPlain2 guifg=RoyalBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi perlVarSimpleMember guifg=#008899 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi perlVarSimpleMemberName guifg=#7399B9 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi perlVarSlash guifg=#00BA44 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi phpArrayPair guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi phpBoolean guifg=MediumSlateBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi phpConditional guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi phpFunctions guifg=#85B2FE guibg=#152933 gui=NONE  ctermfg=111 ctermbg=17 cterm=NONE 
hi phpIdentifier guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi phpKeyword guifg=MediumPurple guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi phpMemberSelector guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi phpMethodsVar guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi phpNull guifg=MediumSlateBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi phpNumber guifg=#649CCE guibg=bg gui=NONE  ctermfg=74 ctermbg=bg cterm=NONE 
hi phpOperator guifg=#14B476 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi phpParent guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi phpQuoteDouble guifg=#8CA854 guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi phpQuoteSingle guifg=#8CA854 guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi phpRegion guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi phpRelation guifg=#14B476 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi phpRepeat guifg=#D39ED3 guibg=bg gui=NONE  ctermfg=182 ctermbg=bg cterm=NONE 
hi phpStatement guifg=SteelBlue3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi phpStringDouble guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi phpStringSingle guifg=#008C9C guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi phpSuperGlobal guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi phpType guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi phpVarSelector guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi pl1attribute guifg=#B77969 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi pl1booleanliteral guifg=RoyalBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pl1charliteral guifg=cadetblue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi pl1comment guifg=#2D88A2 guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi pl1conditional guifg=seagreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pl1floatliteral guifg=cadetblue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi pl1function guifg=turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pl1garbage guifg=#B8A433 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi pl1identifier guifg=slategray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pl1intliteral guifg=cadetblue3 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi pl1operator guifg=#00AD99 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi pl1other guifg=#66a888 guibg=bg gui=NONE  ctermfg=72 ctermbg=bg cterm=NONE 
hi pl1paren guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi pl1repeat guifg=seagreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pl1statement guifg=#00aa6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi pl1storage guifg=dodgerblue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pl1stringliteral guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi pl1symbol guifg=slategray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plantUMLDirectedOrVerticalArrowRL guifg=Green2 guibg=bg gui=bold  ctermfg=10 ctermbg=bg cterm=bold 
hi plantUMLHorizontalArrow guifg=Orange guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi plantUMLKeyword guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi plantUMLSpecialString guifg=CadetBlue3 guibg=bg gui=bold  ctermfg=184 ctermbg=bg cterm=bold 
hi plantUMLString guifg=#7FA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi plantUMLText guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plantUMLTypeKeyword guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi plibuiltin guifg=steelblue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi plidelimiter guifg=red guibg=bg gui=NONE  ctermfg=red ctermbg=bg cterm=NONE 
hi plioperator guifg=#50AA1F guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi plsqlAttribute guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plsqlBooleanLiteral guifg=#2FBBA6 guibg=#152933 gui=NONE  ctermfg=37 ctermbg=17 cterm=NONE 
hi plsqlComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi plsqlCommentL guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi plsqlConditional guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi plsqlErrInBracket guifg=#2F9933 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi plsqlErrInParen guifg=#7EB49C guibg=bg gui=bold  ctermfg=109 ctermbg=bg cterm=bold 
hi plsqlFloatLiteral guifg=#D49690 guibg=bg gui=NONE  ctermfg=174 ctermbg=bg cterm=NONE 
hi plsqlFunction guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi plsqlGarbage guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi plsqlHostIdentifier guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi plsqlIdentifier guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi plsqlIntLiteral guifg=#D49690 guibg=bg gui=NONE  ctermfg=174 ctermbg=bg cterm=NONE 
hi plsqlKeyword guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plsqlOperator guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi plsqlPseudo guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi plsqlRepeat guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plsqlSQLKeyword guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plsqlSQLKeyword2 guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi plsqlSQLKeyword3 guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi plsqlSQLKeyword4 guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plsqlSQLTypeAttribute guifg=DodgerBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi plsqlStorage guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi plsqlStringError guifg=LemonChiffon2 guibg=DodgerBlue3 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi plsqlStringLiteral guifg=CadetBlue guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi plsqlSymbol guifg=#8870FF guibg=bg gui=bold  ctermfg=99 ctermbg=bg cterm=bold 
hi pMenu guifg=#73A3B9 guibg=#193835 gui=NONE  ctermfg=73 ctermbg=23 cterm=NONE 
hi pMenuSbar guifg=fg guibg=#061126 gui=NONE  ctermfg=fg ctermbg=0 cterm=NONE 
hi pMenuSel guifg=Brown2 guibg=#061126 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi pMenuThumb guifg=fg guibg=Brown2 gui=NONE  ctermfg=fg ctermbg=0 cterm=NONE 
hi podBold guifg=SkyBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi podBoldAlternativeDelim guifg=Aquamarine3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi podBoldAlternativeDelimOpen guifg=Aquamarine3 guibg=bg gui=italic,underline  ctermfg=0 ctermbg=bg cterm=italic,underline 
hi podBoldItalic guifg=SkyBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi podBoldOpen guifg=PowderBlue guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi podCmdText guifg=Thistle3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi podCommand guifg=Thistle3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi podEscape guifg=DodgerBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi podEscape2 guifg=DodgerBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi podForKeywd guifg=Tan3 guibg=#1E3B31 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi podFormat guifg=#E19FA1 guibg=bg gui=NONE  ctermfg=181 ctermbg=bg cterm=NONE 
hi podIndex guifg=BurlyWood3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi podIndexAlternativeDelim guifg=BurlyWood3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi podItalic guifg=#21C43B guibg=bg gui=italic  ctermfg=41 ctermbg=bg cterm=italic 
hi podItalicAlternativeDelim guifg=#21C43B guibg=bg gui=underline  ctermfg=41 ctermbg=bg cterm=underline 
hi podItalicAlternativeDelimOpen guifg=#21C43B guibg=bg gui=italic,underline  ctermfg=41 ctermbg=bg cterm=italic,underline 
hi podItalicBold guifg=#21C43B guibg=bg gui=italic  ctermfg=41 ctermbg=bg cterm=italic 
hi podItalicOpen guifg=#21C43B guibg=bg gui=underline  ctermfg=41 ctermbg=bg cterm=underline 
hi podNoSpace guifg=LightBlue3 guibg=#1E3B31 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi podNoSpaceAlternativeDelim guifg=#4BBBB2 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi podOverIndent guifg=DarkGrey guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi podSpecial guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi podVerbatimLine guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi postScrConditional guifg=#009F6F guibg=bg gui=bold  ctermfg=35 ctermbg=bg cterm=bold 
hi postScrConstant guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi postScrDSCcomment guifg=#A08FF5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi postScrFloat guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi postScrIdentifier guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi postScrInteger guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi postScrL2Operator guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi postScrOperator guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi postScrRepeat guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi preciseJumpTarget guifg=LemonChiffon2 guibg=LightPink4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi preCondit guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi preProc guifg=#E19FA1 guibg=bg gui=NONE  ctermfg=181 ctermbg=bg cterm=NONE 
hi pyNiceStatement guifg=Gold2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonArithmetic guifg=#00BB6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi pythonAssignment guifg=#00BB6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi pythonAsync guifg=SpringGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonBinError guifg=Tomato guibg=#1B5958 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi pythonBinNumber guifg=#0F9944 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi pythonBoolean guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi pythonBrackets guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonBuiltin guifg=MediumTurquoise guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonBuiltinFunc guifg=RoyalBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonBuiltinLogic guifg=#729FCF guibg=bg gui=NONE  ctermfg=74 ctermbg=bg cterm=NONE 
hi pythonBuiltinObj guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi pythonBuiltinType guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonBytes guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonBytesContent guifg=Salmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonBytesError guifg=DarkOliveGreen2 guibg=bg gui=underline  ctermfg=160 ctermbg=bg cterm=underline 
hi pythonBytesEscape guifg=DarkSlateGray4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi pythonBytesEscapeError guifg=DarkOliveGreen2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi pythonCalOperator guifg=#af5f00 guibg=bg gui=NONE  ctermfg=130 ctermbg=bg cterm=NONE 
hi pythonClass guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonClassDef guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonClassName guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonClassParameters guifg=#00A9D9 guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi pythonCoding guifg=SlateGray3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi pythonComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi pythonComparison guifg=#2FCCA6 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi pythonConditional guifg=#00AAAA guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonDecorator guifg=#21C43B guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi pythonDecoratorFunction guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi pythonDecoratorName guifg=#8680BF guibg=bg gui=NONE  ctermfg=103 ctermbg=bg cterm=NONE 
hi pythonDefaultAssignment guifg=#7FC090 guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi pythonDocstring guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi pythonDocTest guifg=#6D8C63 guibg=bg gui=NONE  ctermfg=65 ctermbg=bg cterm=NONE 
hi pythonDocTest2 guifg=#6D8C63 guibg=bg gui=NONE  ctermfg=65 ctermbg=bg cterm=NONE 
hi pythonDocTestValue guifg=#00A8AA guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonDot guifg=SlateGray3 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi pythonDottedName guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi pythonError guifg=DeepSkyBlue guibg=Gray30 gui=NONE  ctermfg=160 ctermbg=17 cterm=NONE 
hi pythonEscape guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonEscapeError guifg=Khaki2 guibg=VioletRed4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi pythonException guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonExceptions guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonExClass guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonExtraOperator guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi pythonExtraPseudoOperator guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonFloat guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonFunc guifg=#A191F5 guibg=bg gui=NONE  ctermfg=141 ctermbg=bg cterm=NONE 
hi pythonFuncDef guifg=#85CCFE guibg=bg gui=NONE  ctermfg=117 ctermbg=bg cterm=NONE 
hi pythonFuncName guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi pythonFuncParams guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi pythonFunction guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi pythonHexError guifg=Tomato guibg=#1B5958 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi pythonHexNumber guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonImport guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi pythonInclude guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi pythonIndentError guifg=DarkSlateGray guibg=#0C2628 gui=underline  ctermfg=160 ctermbg=0 cterm=underline 
hi pythonLambdaError guifg=Khaki2 guibg=VioletRed4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi pythonLambdaExpr guifg=#66AC66 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi pythonNumber guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi pythonNumberError guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi pythonObjFunction guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi pythonOctError guifg=Tomato guibg=#1B5958 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi pythonOctNumber guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonOperator guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonParam guifg=RoyalBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonParamDefault guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonParameters guifg=#00A9D9 guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi pythonParamName guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi pythonPreCondit guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi pythonQuotes guifg=#54AABF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi pythonRawBytes guifg=LightSkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonRawString guifg=#7FA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi pythonRepeat guifg=#00AF6F guibg=bg gui=underline  ctermfg=35 ctermbg=bg cterm=underline 
hi pythonRun guifg=SlateGray3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi pythonSelf guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonSpaceError guifg=LemonChiffon2 guibg=#442926 gui=NONE  ctermfg=0 ctermbg=52 cterm=NONE 
hi pythonStatement guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi pythonStrFormat guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi pythonStrFormatting guifg=RoyalBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonString guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi pythonStrTemplate guifg=PowderBlue guibg=#264040 gui=italic  ctermfg=0 ctermbg=23 cterm=italic 
hi pythonSuperclass guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi pythonSync guifg=IndianRed guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi PythonTodo guifg=MediumSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi pythonTripleQuotes guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi pythonUniEscape guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi pythonUniEscapeError guifg=Khaki2 guibg=VioletRed4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi pythonUniRawEscape guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi pythonUniRawEscapeError guifg=Khaki2 guibg=VioletRed4 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi pythonUniRawString guifg=#7FA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi pythonUniString guifg=SlateBlue3 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi qfError guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi qfFileName guifg=#73A3B9 guibg=#193835 gui=NONE  ctermfg=73 ctermbg=23 cterm=NONE 
hi qfLineNr guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi qfSeparator guifg=DarkSeaGreen4 guibg=bg gui=bold  ctermfg=160 ctermbg=bg cterm=bold 
hi question guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi quickfixsignsMarksTexthl guifg=#55B5E3 guibg=bg gui=underline  ctermfg=74 ctermbg=bg cterm=underline 
hi Quote guifg=#8F9FD9 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi rcInclude guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi rcString guifg=#7FA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi regionDelimiter guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi Repeat guifg=SeaGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rexxLineContinue guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi rlLiteral guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi rlNumber guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi rlTypeRegion guifg=SlateBlue1 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi rqKeyword guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rqQiRiRef guifg=#B78669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi rqQNamePrefix guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rqVar guifg=#00B06F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi rstCitation guifg=#9A85FF guibg=bg gui=italic  ctermfg=105 ctermbg=bg cterm=italic 
hi rstCitationReference guifg=DarkSeaGreen3 guibg=#152933 gui=NONE  ctermfg=160 ctermbg=17 cterm=NONE 
hi rstCodeBlock guifg=#99ad6a guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi rstComment guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rstDelimiter guifg=#2DEEA0 guibg=bg gui=NONE  ctermfg=49 ctermbg=bg cterm=NONE 
hi rstDirective guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rstEmphasis guifg=Purple2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rstExDirective guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi rstExplicitMarkup guifg=Orange guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rstFootNote guifg=#9A85FF guibg=bg gui=italic  ctermfg=105 ctermbg=bg cterm=italic 
hi rstHyperLinkReference guifg=seagreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rstInlineLiteral guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi rstInterpretedTextOrHyperlinkReference guifg=#C29099 guibg=bg gui=NONE  ctermfg=138 ctermbg=bg cterm=NONE 
hi rstLiteralBlock guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rstSections guifg=#71D3B4 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi rstSimpleTable guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi rstSimpleTableLines guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rstSphinxType guifg=#998799 guibg=bg gui=NONE  ctermfg=102 ctermbg=bg cterm=NONE 
hi rstStandaloneHyperlink guifg=CadetBlue2 guibg=bg gui=underline  ctermfg=184 ctermbg=bg cterm=underline 
hi rstStrongEmphasis guifg=DarkSlateGray2 guibg=#1E4959 gui=NONE  ctermfg=160 ctermbg=23 cterm=NONE 
hi rstSubstitutionReference guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi rstTable guifg=#FF88AA guibg=bg gui=NONE  ctermfg=211 ctermbg=bg cterm=NONE 
hi rstTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi rstTransition guifg=#71D3B4 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi rubyAccess guifg=#85B2FE guibg=#152933 gui=NONE  ctermfg=111 ctermbg=17 cterm=NONE 
hi rubyArrayDelimiter guifg=#4A77FF guibg=bg gui=NONE  ctermfg=69 ctermbg=bg cterm=NONE 
hi rubyAttribute guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyBlock guifg=#00BF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi rubyBlockExpression guifg=#96AFC2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi rubyBlockParameter guifg=Orchid3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyBlockParameterList guifg=#AE6EEE guibg=bg gui=NONE  ctermfg=135 ctermbg=bg cterm=NONE 
hi rubyCaseExpression guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi rubyClass guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi rubyClassVariable guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rubyComment guifg=#5B8999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi rubyConditional guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyConditionalExpression guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi rubyConditionalModifier guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi rubyConstant guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi rubyControl guifg=VioletRed3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyCurlyBlock guifg=#978CCC guibg=bg gui=NONE  ctermfg=104 ctermbg=bg cterm=NONE 
hi rubyCurlyBlockDelimiter guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyDefine guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi rubyDoBlock guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi rubyException guifg=VioletRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyExceptional guifg=LightCyan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyFloat guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyFunction guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi rubyGlobalVariable guifg=SkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyIdentifier guifg=#C6B6Fe guibg=bg gui=NONE  ctermfg=183 ctermbg=bg cterm=NONE 
hi rubyInclude guifg=#9C9E9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi rubyInstanceVariable guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rubyInteger guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi rubyInterpolation guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi rubyInterpolationDelimiter guifg=Tan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyKeyword guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi rubyKeywordAsMethod guifg=#9C9E9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi rubyLocalVariableOrMethod guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi rubyMethodBlock guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi rubyModule guifg=LightCyan3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi rubyOptionalDoLine guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyPredefinedConstant guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi rubyPredefinedIdentifier guifg=#DE5577 guibg=bg gui=NONE  ctermfg=168 ctermbg=bg cterm=NONE 
hi rubyPredefinedVariable guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyPseudoVariable guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi rubyRegexp guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rubyRegexpAnchor guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rubyRegexpCharClass guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi rubyRegexpDelimiter guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyRegexpEscape guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rubyRegexpQuantifier guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi rubyRegexpSpecial guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rubyRepeat guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi rubyRepeatExpression guifg=#978CCC guibg=bg gui=NONE  ctermfg=104 ctermbg=bg cterm=NONE 
hi rubySharpBang guifg=#C74448 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi rubyString guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyStringDelimiter guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi rubyStringEscape guifg=#99AD6a guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi rubySymbol guifg=#9C9E9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi rubyTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi sassClass guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi sassClassChar guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi sassControl guifg=Turquoise2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sassCssAttribute guifg=LightSkyBlue3 guibg=Gray20 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi sassDefault guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi sassDefinition guifg=LightSkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sassFunction guifg=SpringGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sassId guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sassIdChar guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sassInclude guifg=Turquoise2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi sassMixin guifg=Turquoise2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sassMixing guifg=Turquoise2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sassProperty guifg=#FF7B7F guibg=bg gui=NONE  ctermfg=210 ctermbg=bg cterm=NONE 
hi sasStatement guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi sassVariable guifg=#63AD9C guibg=#1C3644 gui=NONE  ctermfg=73 ctermbg=23 cterm=NONE 
hi scalaClassDecl guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi scalaFunction guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi scalaLangClass guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi scalaLineComment guifg=#78B37A guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi scalaScopeDecl guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi scalaStorageClass guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi scalaType guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi scalaTypeDef guifg=CadetBlue2 guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi schemeComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi schemeError guifg=FireBrick3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi schemeFunc guifg=#2DC3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi schemeNumber guifg=#25ACC3 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi schemeOther guifg=#2FAB66 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi schemeString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi schemeStruct guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi schemeSyntax guifg=#21C43B guibg=bg gui=NONE  ctermfg=41 ctermbg=bg cterm=NONE 
hi scrollbar guifg=DarkCyan guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi Search guifg=#FF88AA guibg=bg gui=underline  ctermfg=211 ctermbg=bg cterm=underline 
hi SectionTitle guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi sedACI guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sedAddress guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sedBranch guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi sedComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi sedError guifg=#A1FFAF guibg=bg gui=italic  ctermfg=157 ctermbg=bg cterm=italic 
hi sedFlag guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi sedFunction guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi sedLabel guifg=RoyalBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sedLineCont guifg=#CC5555 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi sedRegexp119 guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi sedRegexp126 guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi sedRegExp47 guifg=FireBrick2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sedRegexpMeta guifg=IndianRed3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sedReplacement119 guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi sedReplacement126 guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi sedReplacement44 guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi sedReplacement47 guifg=#44BA00 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi sedReplacement58 guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi sedReplaceMeta guifg=#44BA00 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi sedSemicolon guifg=RosyBrown guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sedSpecial guifg=#73A3B9 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi sedST guifg=SteelBlue2 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi shAlias guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shArithmetic guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shCase guifg=#A476A2 guibg=bg gui=NONE  ctermfg=139 ctermbg=bg cterm=NONE 
hi shCaseBar guifg=LimeGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shCaseDoubleQuote guifg=#B76669 guibg=bg gui=NONE  ctermfg=131 ctermbg=bg cterm=NONE 
hi shCaseEsac guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi shCaseIn guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi shCaseRange guifg=#C75666 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi shCaseSingleQuote guifg=#B76669 guibg=bg gui=NONE  ctermfg=131 ctermbg=bg cterm=NONE 
hi shCmdParenRegion guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shCmdSubregion guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi shColon guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shCommandSub guifg=#88B4CC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi shComment guifg=#697DB0 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi shConditional guifg=#21B43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shCtrlSeq guifg=#B76969 guibg=bg gui=NONE  ctermfg=131 ctermbg=bg cterm=NONE 
hi shDblBrace guifg=#00BB6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shDblParen guifg=#00BB6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shDerefOp guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi shDeRefPattern guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi shDeRefPPSleft guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi shDeRefPPSright guifg=CadetBlue guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi shDeRefSimple guifg=DarkOrchid3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi shDeRefVar guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shDerefWordError guifg=#9CCB3B guibg=Gray20 gui=NONE  ctermfg=149 ctermbg=0 cterm=NONE 
hi shDo guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi shDoubleQuote guifg=#9A7F99 guibg=bg gui=NONE  ctermfg=102 ctermbg=bg cterm=NONE 
hi shebang guifg=#5D7D9D guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi shEscape guifg=#00A06F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shExpr guifg=#A19FA0 guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi shFor guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shFunction guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi shFunctionKey guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi shFunctionOne guifg=#21B43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shFunctionTwo guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi shIf guifg=#21943B guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi shIfError guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi shInError guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi shLoop guifg=#21B43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shNoQuote guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shNumber guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shOperator guifg=VioletRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shOption guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shParen guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi shParenError guifg=black guibg=#779DB2 gui=NONE  ctermfg=34 ctermbg=109 cterm=NONE 
hi shQuote guifg=#77ABB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi shRange guifg=#81AAC0 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi shRedir guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi shRepeat guifg=#9B91F6 guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi shSet guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shSetIdentifier guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shSetList guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi shSingleQuote guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shSnglCase guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi shSource guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shSpecial guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi shStatement guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shString guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi shSubShRegion guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shTestOpr guifg=VioletRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shTestPattern guifg=#96966F guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi shTodo guifg=Brown3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi shVarAssign guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi shVariable guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi shWrapLineOperator guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi signColor guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi signColumn guifg=PaleGoldenrod guibg=#0E2628 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi smlEnd guifg=#779DB2 guibg=bg gui=bold  ctermfg=109 ctermbg=bg cterm=bold 
hi smlKeyChar guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi smlLCIdentifier guifg=#9A85FF guibg=bg gui=italic  ctermfg=105 ctermbg=bg cterm=italic 
hi smlNumber guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi smlString guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi snipAction guifg=CadetBlue guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi snipCommand guifg=RoyalBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipCommandDelim guifg=#DD4455 guibg=bg gui=bold  ctermfg=167 ctermbg=bg cterm=bold 
hi snipComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi snipContext guifg=CadetBlue guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi snipEscape guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi snipExtends guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipGlobalHeaderKeyword guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi snipGlobalPBody guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi snipKeyword guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi snipLeadingSpaces guifg=CadetBlue4 guibg=Gray10 gui=underline  ctermfg=184 ctermbg=0 cterm=underline 
hi snipMirror guifg=#44CBFF guibg=bg gui=NONE  ctermfg=81 ctermbg=bg cterm=NONE 
hi snippetComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi snippetEval guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi snippetExpand guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi snippetKeyword guifg=SkyBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snippetName guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi snippetWord guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi snipPriorityValue guifg=Aquamarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipPythonCommand guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi snipPythonCommandP guifg=#FF4455 guibg=bg gui=NONE  ctermfg=203 ctermbg=bg cterm=NONE 
hi snipSnippetBody guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipSnippetContext guifg=DarkSeaGreen4 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi snipSnippetContextP guifg=DarkSeaGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi snipSnippetDocContextString guifg=#5DCC9C guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi snipSnippetDocString guifg=#5DCC9C guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi snipSnippetHeaderKeyword guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi snipSnippetOptionFlag guifg=#66E699 guibg=bg gui=NONE  ctermfg=78 ctermbg=bg cterm=NONE 
hi snipSnippetOptions guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipSnippetTrigger guifg=#85A6FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi snipSnippetTriggerInvalid guifg=IndianRed2 guibg=Gray10 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi snipStart guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi snipString guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi snipTabStop guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi snipTabStopDefault guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipTODO guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipTransformation guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipTransformationOptions guifg=SteelBlue1 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi snipTransformationPattern guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi snipTransformationPatternDelim guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipTransformationReplace guifg=#44AA00 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi snipVar guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipVarExpansion guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipVarPythonCommand guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi snipVimLCommand guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi snipVimLCommandV guifg=#FF4455 guibg=bg gui=NONE  ctermfg=203 ctermbg=bg cterm=NONE 
hi Special guifg=#63AD9C guibg=NONE gui=NONE  ctermfg=73 ctermbg=NONE cterm=NONE 
hi SpecialChar guifg=#88CB35 guibg=bg gui=NONE  ctermfg=113 ctermbg=bg cterm=NONE 
hi SpecialComment guifg=LightBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi SpecialKey guifg=#2C6A47 guibg=bg gui=NONE  ctermfg=23 ctermbg=bg cterm=NONE 
hi sqlFold guifg=#00B39B guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi sqlHibSnippet guifg=Turquoise2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sqlKeyword guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi sqlNumber guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi sqlOperator guifg=#00AF88 guibg=bg gui=underline  ctermfg=36 ctermbg=bg cterm=underline 
hi sqlSnippet guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi sqlSpecial guifg=#00B37D guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi sqlStatement guifg=#8FBFDC guibg=bg gui=underline  ctermfg=110 ctermbg=bg cterm=underline 
hi sqlString guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi sqlTodo guifg=Wheat2 guibg=#345FA8 gui=underline  ctermfg=40 ctermbg=61 cterm=underline 
hi sqlType guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi stashEntry guifg=#99AD6A guibg=bg gui=NONE  ctermfg=107 ctermbg=bg cterm=NONE 
hi Statement guifg=#00A86F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi StatusLine guifg=#C29955 guibg=#442200 gui=NONE  ctermfg=137 ctermbg=52 cterm=NONE 
hi StatusLineModified guifg=LemonChiffon2 guibg=#1E3B31 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi StatusLineModifiedNC guifg=LemonChiffon2 guibg=#1E3B31 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi StatusLineNC guifg=LightBlue3 guibg=#1E3B31 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi storageClass guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi String guifg=#008C9C guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi stringDelimiter guifg=#008C9C guibg=bg gui=NONE  ctermfg=31 ctermbg=bg cterm=NONE 
hi Structure guifg=#8FBFDC guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi superclass guifg=#6A84AD guibg=#FFD1FA gui=reverse  ctermfg=67 ctermbg=225 cterm=reverse 
hi syntasticErrorSign guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi syntasticStyleErrorSign guifg=Tomato guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi syntasticStyleWarningSign guifg=LightGray guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi syntasticWarningSign guifg=MediumPurple4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tabLine guifg=CornflowerBlue guibg=Gray26 gui=bold  ctermfg=0 ctermbg=16 cterm=bold 
hi tabLineClose guifg=CornflowerBlue guibg=Gray26 gui=NONE  ctermfg=0 ctermbg=16 cterm=NONE 
hi tabLineFill guifg=CornflowerBlue guibg=Gray20 gui=underline  ctermfg=0 ctermbg=16 cterm=underline 
hi tabLineNumber guifg=#3CEEB3 guibg=bg gui=NONE  ctermfg=85 ctermbg=bg cterm=NONE 
hi tabLineSel guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tabManAtv guifg=#CC4455 guibg=bg gui=italic  ctermfg=167 ctermbg=bg cterm=italic 
hi tabManCurTName guifg=LightSeaGreen guibg=bg gui=italic,undercurl  ctermfg=0 ctermbg=bg cterm=italic,undercurl 
hi tabManHelp guifg=#8FBFDC guibg=bg gui=italic  ctermfg=110 ctermbg=bg cterm=italic 
hi tabManHKey guifg=LimeGreen guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi tabManHSpecial guifg=LightSeaGreen guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi tabManLead guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tabManTName guifg=LightSeaGreen guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi Tag guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tagbarAccessPrivate guifg=#FF7755 guibg=bg gui=NONE  ctermfg=209 ctermbg=bg cterm=NONE 
hi tagbarAccessProtected guifg=#77BB77 guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi tagbarAccessPublic guifg=#00BBBB guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi tagbarFoldIcon guifg=Brown2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tagbarHelp guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tagbarHelpKey guifg=IndianRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tagbarHelpTitle guifg=LightSkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tagbarHighlight guifg=#88AAFF guibg=bg gui=underline  ctermfg=111 ctermbg=bg cterm=underline 
hi tagbarKind guifg=SkyBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi tagbarNestedKind guifg=#29BB29 guibg=bg gui=NONE  ctermfg=34 ctermbg=bg cterm=NONE 
hi tagbarPseudoID guifg=#008666 guibg=bg gui=NONE  ctermfg=29 ctermbg=bg cterm=NONE 
hi tagbarScope guifg=#66D999 guibg=bg gui=NONE  ctermfg=78 ctermbg=bg cterm=NONE 
hi tagbarSignature guifg=#00A5AB guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi tagbarType guifg=#29BB29 guibg=bg gui=underline  ctermfg=34 ctermbg=bg cterm=underline 
hi taglistComment guifg=RoyalBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi taglistFileName guifg=DeepSkyBlue3 guibg=#1C3644 gui=NONE  ctermfg=160 ctermbg=23 cterm=NONE 
hi taglistTagScope guifg=CadetBlue guibg=bg gui=NONE  ctermfg=184 ctermbg=bg cterm=NONE 
hi taglistTitle guifg=SkyBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi TarComment guifg=DeepSkyBlue3 guibg=#1C3644 gui=NONE  ctermfg=160 ctermbg=23 cterm=NONE 
hi TarDirectory guifg=DeepSkyBlue1 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi TaskDoneIcon guifg=#5D8B9C guibg=bg gui=bold  ctermfg=67 ctermbg=bg cterm=bold 
hi TaskDoneItem guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi TaskKeyword guifg=CornFlowerBlue guibg=Gray20 gui=underline  ctermfg=0 ctermbg=16 cterm=underline 
hi TaskQuestionIcon guifg=PaleGoldenRod guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi TaskQuestionItem guifg=PaleGoldenRod guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi TaskUrgentIcon guifg=IndianRed2 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi TaskUrgentItem guifg=IndianRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi TaskWorkingIcon guifg=#8B7FFF guibg=bg gui=bold  ctermfg=105 ctermbg=bg cterm=bold 
hi TaskWorkingItem guifg=#8B7FFF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi termCursor guifg=black guibg=#77D099 gui=NONE  ctermfg=34 ctermbg=114 cterm=NONE 
hi termCursorNC guifg=#C29955 guibg=#1E3B31 gui=NONE  ctermfg=137 ctermbg=23 cterm=NONE 
hi Test guifg=#88AEB2 guibg=bg gui=italic  ctermfg=109 ctermbg=bg cterm=italic 
hi texBegin guifg=#00BB6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi texBeginEndName guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texCmdArgs guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texCmdBody guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi texDefParm guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texDelimiter guifg=IndianRed3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texDocType guifg=#00CC80 guibg=bg gui=italic  ctermfg=42 ctermbg=bg cterm=italic 
hi texDocZone guifg=#85B2FE guibg=#152933 gui=NONE  ctermfg=111 ctermbg=17 cterm=NONE 
hi texEnd guifg=#00BB6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi texMatcherNM guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texMathOper guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texMathZone guifg=#8888FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi texMathZoneV guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texMathZoneW guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texOnlyMath guifg=VioletRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texSection guifg=#00B780 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi texSectionName guifg=#BE22CC guibg=bg gui=NONE  ctermfg=128 ctermbg=bg cterm=NONE 
hi texSectionZone guifg=PowderBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texSpecialChar guifg=#00AC9C guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi texStatement guifg=#B79669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi texSubscripts guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texSuperscripts guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi texTitle guifg=PaleGreen2 guibg=#254859 gui=NONE  ctermfg=0 ctermbg=23 cterm=NONE 
hi textSnipTex guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Title guifg=Brown2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi Titled guifg=PaleTurquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi titleEntry guifg=#36A366 guibg=bg gui=italic  ctermfg=71 ctermbg=bg cterm=italic 
hi titleSign guifg=#60801F guibg=bg gui=NONE  ctermfg=64 ctermbg=bg cterm=NONE 
hi tkWidget guifg=LightSalmon guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi tlComment guifg=#77996C guibg=bg gui=NONE  ctermfg=101 ctermbg=bg cterm=NONE 
hi tlIdentifier guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi Todo guifg=LemonChiffon2 guibg=DeepSkyBlue4 gui=NONE  ctermfg=0 ctermbg=160 cterm=NONE 
hi tooltip guifg=Gainsboro guibg=#5D009C gui=italic  ctermfg=0 ctermbg=55 cterm=italic 
hi TtodoDate guifg=SlateGray4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi TtodoDone guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi TtodoDue guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi TtodoHidden guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi TtodoKeyword guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi TtodoList guifg=#00AA6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi TtodoOverdue guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi TtodoPri guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi TtodoPriA guifg=VioletRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi TtodoPriB guifg=#00AACF guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi TtodoPriC guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi TtodoTag guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi TtodoTime guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi txlComment guifg=#667999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi txlFormat guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi txlKeyword guifg=AquaMarine3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi txlLiteral guifg=#00A86F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi txlNotLiteral guifg=SlateGray2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi txlPreprocessor guifg=PaleGreen3 guibg=#152933 gui=NONE  ctermfg=0 ctermbg=17 cterm=NONE 
hi Type guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi Typedef guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi typeKeywords guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi Underlined guifg=SkyBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi undotreeHead guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi undotreeSavedBig guifg=Azure3 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi UtlTag guifg=RoyalBlue1 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi UtlURL guifg=#8870FF guibg=bg gui=underline  ctermfg=99 ctermbg=bg cterm=underline 
hi varCapture guifg=#8fbfdc guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi varId guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vertSplit guifg=#55E5D3 guibg=#082926 gui=bold  ctermfg=80 ctermbg=0 cterm=bold 
hi vimAbb guifg=#B7A969 guibg=bg gui=NONE  ctermfg=143 ctermbg=bg cterm=NONE 
hi vimAddress guifg=#9CAE9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimAuGroup guifg=#1A99DE guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi vimAugroupKey guifg=Chocolate guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimAutoCmd guifg=Chocolate guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimAutoCmdSfxList guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimAutoevent guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi vimAutoeventList guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimBehave guifg=#1AAEDE guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi vimBehaveError guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi vimBehaveModel guifg=LightBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimBracket guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimBufnrWarn guifg=PaleGoldenRod guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi vimCmdSep guifg=#00FF33 guibg=bg gui=NONE  ctermfg=47 ctermbg=bg cterm=NONE 
hi vimCmplxRepeat guifg=#C6B6FE guibg=bg gui=NONE  ctermfg=183 ctermbg=bg cterm=NONE 
hi vimCollClassErr guifg=OrangeRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimCommand guifg=#9CC7CC guibg=bg gui=NONE  ctermfg=152 ctermbg=bg cterm=NONE 
hi vimCommanderFile guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi vimCommanderPath guifg=Green2 guibg=#1E4959 gui=italic  ctermfg=10 ctermbg=23 cterm=italic 
hi vimComment guifg=#5D4C9C guibg=bg gui=NONE  ctermfg=61 ctermbg=bg cterm=NONE 
hi vimCommentString guifg=#5D4C9C guibg=bg gui=NONE  ctermfg=61 ctermbg=bg cterm=NONE 
hi vimCommentTitle guifg=#6A9CAD guibg=bg gui=italic  ctermfg=73 ctermbg=bg cterm=italic 
hi vimContinue guifg=#66B9D9 guibg=bg gui=NONE  ctermfg=74 ctermbg=bg cterm=NONE 
hi vimCtrlChar guifg=Green guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi vimEcho guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimEchoHL guifg=#00A84F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimEchoHLNone guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimElseif guifg=#00A84F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimElseIferr guifg=PowderBlue guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi vimEmbedError guifg=OrangeRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimEnvVar guifg=#85B2FE guibg=#152933 gui=NONE  ctermfg=111 ctermbg=17 cterm=NONE 
hi vimError guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi vimErrSetting guifg=Red guibg=bg gui=NONE  ctermfg=Red ctermbg=bg cterm=NONE 
hi vimExecute guifg=#9CB7CC guibg=bg gui=NONE  ctermfg=146 ctermbg=bg cterm=NONE 
hi vimFBvar guifg=#D92B98 guibg=bg gui=NONE  ctermfg=162 ctermbg=bg cterm=NONE 
hi vimFgBgAttrib guifg=#8CA8BF guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimFiletype guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimFilter guifg=DodgerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimFirstChar guifg=Orange guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimFold guifg=Gray50 guibg=bg gui=NONE  ctermfg=17 ctermbg=bg cterm=NONE 
hi vimFTCmd guifg=#00A84F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimFTError guifg=DarkOrange2 guibg=bg gui=underline  ctermfg=160 ctermbg=bg cterm=underline 
hi vimFTOption guifg=#779DB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimFunc guifg=LightBlue4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimFuncBody guifg=#2FBB66 guibg=NONE gui=NONE  ctermfg=35 ctermbg=NONE cterm=NONE 
hi vimFuncKey guifg=SlateGray3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi vimFuncName guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi vimFuncNameTag guifg=#77AAB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimFuncSID guifg=#AE6EEE guibg=bg gui=NONE  ctermfg=135 ctermbg=bg cterm=NONE 
hi vimFunction guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimFunctionError guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi vimFuncVar guifg=Coral3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi vimGroup guifg=#99BB99 guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi vimGroupAdd guifg=Orange3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimGroupList guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimGroupName guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimGroupRem guifg=Orange3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimGroupSpecial guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimHiAttrib guifg=#8CA8BF guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimHiAttribList guifg=#FF77AA guibg=bg gui=NONE  ctermfg=211 ctermbg=bg cterm=NONE 
hi vimHiBang guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimHiClear guifg=#5FA222 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi vimHiCterm guifg=DarkSlateGray3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimHiCtermColor guifg=SteelBlue1 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi vimHiCtermError guifg=#E19FA1 guibg=bg gui=italic  ctermfg=181 ctermbg=bg cterm=italic 
hi vimHiCtermFgBg guifg=DarkSlateGray3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimHighLight guifg=IndianRed2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimHiGroup guifg=#00B955 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimHiGui guifg=DarkSlateGray3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimHiGuiFgBg guifg=DarkSlateGray3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimHiGuiFont guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimHiGuiRGB guifg=SteelBlue1 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi vimHiKeyError guifg=#E19FA1 guibg=bg gui=italic  ctermfg=181 ctermbg=bg cterm=italic 
hi vimHiKeyList guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi vimHiNmbr guifg=#8CA8BF guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimHiStartStop guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimHiTerm guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimHLGroup guifg=#99BB99 guibg=#1C3644 gui=NONE  ctermfg=108 ctermbg=23 cterm=NONE 
hi vimHLMod guifg=Pink2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimInsert guifg=#886488 guibg=bg gui=NONE  ctermfg=96 ctermbg=bg cterm=NONE 
hi vimIsCommand guifg=#3285B0 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi vimIskSep guifg=#88A888 guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi vimKeyCode guifg=LightGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimKeyCodeError guifg=Tan2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimKeyword guifg=MediumOrchid1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimLastChar guifg=Orange guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimLet guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi vimLineComment guifg=#5D7C9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi vimLineComment guifg=#5D7C9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi vimMap guifg=Chocolate guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimMapBang guifg=#3388E6 guibg=bg gui=NONE  ctermfg=68 ctermbg=bg cterm=NONE 
hi vimMapLHS guifg=#54A3DC guibg=bg gui=NONE  ctermfg=74 ctermbg=bg cterm=NONE 
hi vimMapMod guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi vimMapModErr guifg=Beige guibg=bg gui=underline  ctermfg=124 ctermbg=bg cterm=underline 
hi vimMapModKey guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi vimMapRHS guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimMark guifg=#9CAE9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimMarker guifg=Aquamarine1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimMarkNumber guifg=#9CAE9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimMenuLHS guifg=SeaGreen4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimMenuMod guifg=#0066FF guibg=bg gui=NONE  ctermfg=27 ctermbg=bg cterm=NONE 
hi vimMenuName guifg=#85B2FE guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi vimMenuNameMore guifg=#85B2FE guibg=bg gui=bold  ctermfg=111 ctermbg=bg cterm=bold 
hi vimMenuRHS guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimMtchComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi vimNorm guifg=#9C9E9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimNormCmds guifg=#00BB55 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimNotation guifg=LightSlateGray guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimNotFunc guifg=#9CC7CC guibg=bg gui=NONE  ctermfg=152 ctermbg=bg cterm=NONE 
hi vimNotFunction guifg=#9CC7CC guibg=bg gui=NONE  ctermfg=152 ctermbg=bg cterm=NONE 
hi vimNotPatSep guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimNumber guifg=#649CCE guibg=bg gui=NONE  ctermfg=74 ctermbg=bg cterm=NONE 
hi vimOper guifg=#14B476 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi vimOperError guifg=#12A86B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimOperParen guifg=#2FBB66 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimOption guifg=#9CAE9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimParenSep guifg=#77AAB2 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimPatOneOrMore guifg=red guibg=bg gui=NONE  ctermfg=red ctermbg=bg cterm=NONE 
hi vimPatRegionClose guifg=#32DDB0 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi vimPatRegionOpen guifg=#32DDB0 guibg=bg gui=NONE  ctermfg=79 ctermbg=bg cterm=NONE 
hi vimPatSep guifg=#33BF47 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi vimPatSepErr guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi vimPatSepR guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi vimPatSepZ guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi vimPatSepZone guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimPattern guifg=DarkGoldenRod guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimPerlRegion guifg=#88AAA6 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimPlainMark guifg=OliveDrab3 guibg=bg gui=NONE  ctermfg=21 ctermbg=bg cterm=NONE 
hi vimPlainRegister guifg=Chocolate3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimPythonRegion guifg=#88AAA6 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimRegister guifg=#C6B6FE guibg=bg gui=NONE  ctermfg=183 ctermbg=bg cterm=NONE 
hi vimRubyRegion guifg=#88AAA6 guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimScriptDelim guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi vimscriptFuncNameTag guifg=#2FBBA6 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi vimSearch guifg=DeepSkyBlue3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimSearchDelim guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimSep guifg=#9999CC guibg=bg gui=NONE  ctermfg=104 ctermbg=bg cterm=NONE 
hi vimSet guifg=#9CAE9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimSetEqual guifg=#9CAE9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimSetMod guifg=#9CAE9E guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi vimSetSep guifg=#9CAE9E guibg=bg gui=bold  ctermfg=145 ctermbg=bg cterm=bold 
hi vimSetString guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSpecFile guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSpecFileMod guifg=LightGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSpecial guifg=#7FA2E6 guibg=bg gui=NONE  ctermfg=110 ctermbg=bg cterm=NONE 
hi vimStatement guifg=MediumOrchid1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimString guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi vimStringCont guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSubst guifg=Plum3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSubst1 guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSubstDelim guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSubstFlagErr guifg=SteelBlue1 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi vimSubstFlags guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSubstPat guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi vimSubstRep4 guifg=#44AA00 guibg=bg gui=NONE  ctermfg=70 ctermbg=bg cterm=NONE 
hi vimSubstSubstr guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSubstTwoBS guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSynCase guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimSynCaseError guifg=LightGoldenRod guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimSyncC guifg=#C28955 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimSyncError guifg=LightGoldenRod guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimSyncGroup guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimSyncGroupName guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi vimSyncKey guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSyncLines guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSyncMatch guifg=#90CFB3 guibg=bg gui=NONE  ctermfg=115 ctermbg=bg cterm=NONE 
hi vimSyncNone guifg=#C28955 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimSynContains guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSynError guifg=#2FBBA6 guibg=bg gui=undercurl  ctermfg=37 ctermbg=bg cterm=undercurl 
hi vimSynKeyContainedin guifg=Yellow4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSynKeyOpt guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi vimSynKeyRegion guifg=#8880FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi vimSynMtchGrp guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSynMtchOpt guifg=#C27055 guibg=bg gui=NONE  ctermfg=131 ctermbg=bg cterm=NONE 
hi vimSynNextGroup guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSynNotPatRange guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi vimSynOption guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSynPatMod guifg=#6B9999 guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi vimSynPatRange guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimSynReg guifg=#C28955 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimSynRegion guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi vimSynRegOpt guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi vimSynRegPat guifg=#8870FF guibg=bg gui=NONE  ctermfg=99 ctermbg=bg cterm=NONE 
hi vimSyntax guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimSynType guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimTodo guifg=#7E9F8E guibg=bg gui=italic  ctermfg=108 ctermbg=bg cterm=italic 
hi vimUnmap guifg=LightCyan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimUserAttrb guifg=#1A7EDE guibg=bg gui=NONE  ctermfg=32 ctermbg=bg cterm=NONE 
hi vimUserAttrbCmplt guifg=#00C733 guibg=bg gui=italic  ctermfg=41 ctermbg=bg cterm=italic 
hi vimUserAttrbCmpltFunc guifg=#00C733 guibg=bg gui=italic  ctermfg=41 ctermbg=bg cterm=italic 
hi vimUserAttrbError guifg=OrangeRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimUserAttrbKey guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimUserCmd guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimUserCmdError guifg=Beige guibg=bg gui=underline  ctermfg=124 ctermbg=bg cterm=underline 
hi vimUserCommand guifg=IndianRed3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimUserFunc guifg=#D556F2 guibg=bg gui=NONE  ctermfg=171 ctermbg=bg cterm=NONE 
hi vimVar guifg=#00B955 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWarn guifg=Wheat3 guibg=bg gui=underline  ctermfg=40 ctermbg=bg cterm=underline 
hi vimWikiBold guifg=SkyBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimWikiBoldChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiBoldCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiBoldItalic guifg=SkyBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimWikiBoldItalicChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiBoldItalicCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiBoldItalicT guifg=SkyBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimWikiBoldT guifg=SkyBlue3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimWikiCellSeparator guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiCheckBoxDone guifg=MistyRose4 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiCode guifg=LightPink3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiCodeChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiCodeCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiCodeT guifg=LightPink3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi vimWikiDelText guifg=Tan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiDelTextChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiDelTextCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiDelTextT guifg=Tan3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiEmoticons guifg=LightPink3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiEqIn guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiEqInChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiEqInCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiEqInT guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiH1Folding guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiH2Folding guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiH3Folding guifg=#21A43B guibg=#112A33 gui=NONE  ctermfg=35 ctermbg=17 cterm=NONE 
hi vimWikiH4Folding guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiH5Folding guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiH6Folding guifg=#21A43B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiHeader1 guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi vimWikiHeader2 guifg=Green3 guibg=bg gui=NONE  ctermfg=10 ctermbg=bg cterm=NONE 
hi vimWikiHeader3 guifg=#71D3B4 guibg=#112A33 gui=NONE  ctermfg=79 ctermbg=17 cterm=NONE 
hi vimWikiHeader4 guifg=#7FAAF2 guibg=bg gui=NONE  ctermfg=111 ctermbg=bg cterm=NONE 
hi vimWikiHeader5 guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi vimWikiHeader6 guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiHeaderChar guifg=#C29944 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimWikiHeaderCharT guifg=#C29944 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimWikiHR guifg=#25BF42 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiHTMLtag guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiItalic guifg=DarkOliveGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiItalicBold guifg=SkyBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimWikiItalicBoldChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiItalicBoldCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiItalicBoldT guifg=SkyBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimWikiItalicChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiItalicCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiItalicT guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiLink guifg=SkyBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi vimWikiLinkChar guifg=#8C4840 guibg=bg gui=underline  ctermfg=95 ctermbg=bg cterm=underline 
hi vimWikiLinkCharT guifg=SkyBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi vimWikiLinkT guifg=SkyBlue2 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi vimWikiList guifg=#00AF6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiListTodo guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiMarkers guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiMath guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiMathT guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiNoExistsLink guifg=Khaki3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiNoExistsLinkCharT guifg=Khaki3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiNoExistsLinkT guifg=Khaki3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiPlaceholder guifg=#2CAA47 guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi vimWikiPlaceholderParam guifg=#B77669 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi vimWikiPre guifg=LightPink3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiPreT guifg=LightPink3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiSubScript guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiSubScriptChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiSubScriptCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiSubScriptT guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiSuperScript guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiSuperScriptChar guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiSuperScriptCharT guifg=DarkOrchid2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi vimWikiSuperScriptT guifg=LightSalmon3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi vimWikiTableRow guifg=#437CAB guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi vimWikiTodo guifg=VioletRed3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi vimWikiUnderline guifg=DarkOliveGreen3 guibg=bg gui=underline  ctermfg=160 ctermbg=bg cterm=underline 
hi Visual guifg=Navy guibg=#55D5E3 gui=NONE  ctermfg=0 ctermbg=80 cterm=NONE 
hi visualNOS guifg=SlateGray3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi w3mAnchor guifg=#009F6F guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi w3mBracket1 guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi w3mBracket2 guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi w3mBracket3 guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi w3mCopylight guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi w3mCopyright guifg=#2AC06B guibg=bg gui=NONE  ctermfg=35 ctermbg=bg cterm=NONE 
hi w3mDate guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi w3mHitAHint guifg=#65C254 guibg=bg gui=NONE  ctermfg=71 ctermbg=bg cterm=NONE 
hi w3mInput guifg=#54A3BF guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi w3mLink guifg=Turquoise3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi w3mLinkHover guifg=SlateBlue4 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi w3mMark guifg=#FF88AA guibg=bg gui=NONE  ctermfg=211 ctermbg=bg cterm=NONE 
hi w3mNumber guifg=Aquamarine2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi w3mSubmit guifg=#78B37A guibg=bg gui=NONE  ctermfg=108 ctermbg=bg cterm=NONE 
hi w3mTitle guifg=#C59F6F guibg=bg gui=NONE  ctermfg=179 ctermbg=bg cterm=NONE 
hi w3mUrl guifg=SlateGray3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi warningMsg guifg=OrangeRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi warnMsg guifg=FireBrick1 guibg=#112A33 gui=underline  ctermfg=0 ctermbg=17 cterm=underline 
hi warnMsg0 guifg=#9B91F6 guibg=bg gui=italic  ctermfg=105 ctermbg=bg cterm=italic 
hi warnMsg1 guifg=bg guibg=#2F99A6 gui=NONE  ctermfg=bg ctermbg=31 cterm=NONE 
hi warnMsg10 guifg=SlateBlue2 guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi warnMsg11 guifg=DarkSeaGreen3 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi warnMsg12 guifg=#C29955 guibg=bg gui=NONE  ctermfg=137 ctermbg=bg cterm=NONE 
hi warnMsg2 guifg=#5FD75F guibg=#1C4F4F gui=NONE  ctermfg=77 ctermbg=23 cterm=NONE 
hi warnMsg2u guifg=#5FD75F guibg=#1C4F4F gui=underline  ctermfg=77 ctermbg=23 cterm=underline 
hi warnMsg3 guifg=DarkSeaGreen3 guibg=Gray26 gui=NONE  ctermfg=160 ctermbg=0 cterm=NONE 
hi warnMsg3u guifg=DarkSeaGreen3 guibg=Gray26 gui=underline  ctermfg=160 ctermbg=0 cterm=underline 
hi warnMsg4 guifg=#5FD75F guibg=#003366 gui=NONE  ctermfg=77 ctermbg=23 cterm=NONE 
hi warnMsg4u guifg=#5FD75F guibg=#003366 gui=underline  ctermfg=77 ctermbg=23 cterm=underline 
hi warnMsg5 guifg=PaleGreen2 guibg=Black gui=NONE  ctermfg=0 ctermbg=34 cterm=NONE 
hi warnMsg6 guifg=#5FD75F guibg=bg gui=NONE  ctermfg=77 ctermbg=bg cterm=NONE 
hi warnMsg7 guifg=#CC5588 guibg=bg gui=NONE  ctermfg=168 ctermbg=bg cterm=NONE 
hi warnMsg8 guifg=PaleGreen2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi warnMsg9 guifg=SlateBlue2 guibg=#0A0A4E gui=NONE  ctermfg=20 ctermbg=17 cterm=NONE 
hi wildMenu guifg=Black guibg=LimeGreen gui=NONE  ctermfg=34 ctermbg=0 cterm=NONE 
hi xmlAttrib guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi xmlAttribPunct guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi xmlCDATA guifg=#4593B3 guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi xmlCDATAcdata guifg=#CC44FF guibg=bg gui=underline  ctermfg=171 ctermbg=bg cterm=underline 
hi xmlCDATAend guifg=#CC4FFF guibg=bg gui=NONE  ctermfg=171 ctermbg=bg cterm=NONE 
hi xmlCDATAstart guifg=DarkOrchid guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi xmlComment guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi xmlCommentError guifg=Tomato guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi xmlCommentPart guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi xmlCommentStart guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi xmlDocType guifg=#CDA8C9 guibg=bg gui=italic  ctermfg=182 ctermbg=bg cterm=italic 
hi xmlDocTypeDecl guifg=#A1B1A1 guibg=bg gui=NONE  ctermfg=145 ctermbg=bg cterm=NONE 
hi xmlDocTypeKeyword guifg=SlateGray3 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi xmlEndTag guifg=#007E80 guibg=bg gui=NONE  ctermfg=30 ctermbg=bg cterm=NONE 
hi xmlEntity guifg=#D88DD8 guibg=bg gui=NONE  ctermfg=176 ctermbg=bg cterm=NONE 
hi xmlEntityPunct guifg=VioletRed guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi xmlEqual guifg=#00B780 guibg=bg gui=bold  ctermfg=36 ctermbg=bg cterm=bold 
hi xmlHref guifg=#7EB49C guibg=bg gui=NONE  ctermfg=109 ctermbg=bg cterm=NONE 
hi xmlNameSpace guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi xmlProcessingDelim guifg=#CC4455 guibg=bg gui=NONE  ctermfg=167 ctermbg=bg cterm=NONE 
hi xmlRegion guifg=#73A3B9 guibg=bg gui=NONE  ctermfg=73 ctermbg=bg cterm=NONE 
hi xmlStartTagHook guifg=#9A85FF guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi xmlString guifg=#869BCC guibg=bg gui=NONE  ctermfg=104 ctermbg=bg cterm=NONE 
hi xmlTag guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi xmlTagName guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi xmlValue guifg=Navy guibg=#BDCA51 gui=italic  ctermfg=0 ctermbg=149 cterm=italic 
hi xmlXmlns guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi xxdAddress guifg=#09BA85 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi xxdAscii guifg=#9B91F6 guibg=bg gui=NONE  ctermfg=105 ctermbg=bg cterm=NONE 
hi xxdDot guifg=SlateGray2 guibg=bg gui=bold,underline  ctermfg=0 ctermbg=bg cterm=bold,underline 
hi xxdSep guifg=#009F6F guibg=bg gui=bold  ctermfg=35 ctermbg=bg cterm=bold 
hi yamlAlias guifg=RosyBrown guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlAnchor guifg=#8870FF guibg=bg gui=underline  ctermfg=99 ctermbg=bg cterm=underline 
hi yamlBlockCollectionItemStart guifg=#249124 guibg=bg gui=bold  ctermfg=28 ctermbg=bg cterm=bold 
hi yamlBlockMappingKey guifg=#2DB3A0 guibg=bg gui=NONE  ctermfg=37 ctermbg=bg cterm=NONE 
hi yamlComment guifg=#5D8B9C guibg=bg gui=NONE  ctermfg=67 ctermbg=bg cterm=NONE 
hi yamlConstant guifg=DodgerBlue2 guibg=bg gui=italic  ctermfg=0 ctermbg=bg cterm=italic 
hi yamlDocumentEnd guifg=Tomato2 guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi yamlDocumentStart guifg=LimeGreen guibg=bg gui=bold  ctermfg=0 ctermbg=bg cterm=bold 
hi yamlFloat guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlFlowIndicator guifg=LightSeaGreen guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlFlowMappingKey guifg=#00ACE6 guibg=bg gui=NONE  ctermfg=38 ctermbg=bg cterm=NONE 
hi yamlFlowString guifg=DeepSkyBlue2 guibg=bg gui=NONE  ctermfg=160 ctermbg=bg cterm=NONE 
hi yamlFlowStringDelimiter guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlInteger guifg=DodgerBlue2 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlKeyValueDelimiter guifg=#2DCCA0 guibg=bg gui=NONE  ctermfg=43 ctermbg=bg cterm=NONE 
hi yamlNodeTag guifg=SkyBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlPlainScalar guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlString guifg=SlateGray3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlTimestamp guifg=DodgerBlue1 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yamlTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi yankringHeaders guifg=OliveDrab guibg=bg gui=NONE  ctermfg=21 ctermbg=bg cterm=NONE 
hi yankringHelp guifg=SeaGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yankringItemNumber guifg=SlateBlue guibg=bg gui=NONE  ctermfg=20 ctermbg=bg cterm=NONE 
hi yankringKey guifg=PaleGreen3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi yankringTitle guifg=MediumOrchid guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi zimbuBasicType guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi zimbuComment guifg=#557F8F guibg=bg gui=NONE  ctermfg=66 ctermbg=bg cterm=NONE 
hi zimbuCompType guifg=#00B880 guibg=bg gui=NONE  ctermfg=36 ctermbg=bg cterm=NONE 
hi zimbuMethod guifg=RoyalBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi zimbuString guifg=DodgerBlue3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi zimbuTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 
hi zimbuType guifg=RoyalBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi zoneDomain guifg=#A8C2EF guibg=bg gui=NONE  ctermfg=147 ctermbg=bg cterm=NONE 
hi zoneRRtype guifg=#A8C2EF guibg=bg gui=NONE  ctermfg=147 ctermbg=bg cterm=NONE 
hi zoneTTL guifg=#A8C2EF guibg=bg gui=NONE  ctermfg=147 ctermbg=bg cterm=NONE 
hi zoneUnknown guifg=#A8C2EF guibg=bg gui=NONE  ctermfg=147 ctermbg=bg cterm=NONE 
hi zshCommands guifg=CornFlowerBlue guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi zshKeyword guifg=Sienna3 guibg=bg gui=NONE  ctermfg=0 ctermbg=bg cterm=NONE 
hi zshTodo guifg=Tomato3 guibg=bg gui=underline  ctermfg=0 ctermbg=bg cterm=underline 

" GUI cursor  [[[1
if !has('gui_running') && &t_Co < 256
    set guicursor+=i-ci:ver30-iCursor-blinkwait300-blinkon200-blinkoff150
endif

" Modeline:       [[[1
" vim: et:ts=4:sw=4:ft=vim:
" vim: fmr=[[[,]]]:fdm=marker:fdl=0:
